
package org.nrf_arts.unifiedpos.biometrics;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>SensorColorJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="SensorColor">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="BIO_SC_MONO"/>
 *     &lt;enumeration value="BIO_SC_GRAYSCALE"/>
 *     &lt;enumeration value="BIO_SC_16"/>
 *     &lt;enumeration value="BIO_SC_256"/>
 *     &lt;enumeration value="BIO_SC_FULL"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "SensorColor")
@XmlEnum
public enum SensorColor {

    BIO_SC_MONO,
    BIO_SC_GRAYSCALE,
    BIO_SC_16,
    BIO_SC_256,
    BIO_SC_FULL;

    public String value() {
        return name();
    }

    public static SensorColor fromValue(String v) {
        return valueOf(v);
    }

}
