
package org.nrf_arts.unifiedpos.biometrics;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>SensorOrientationJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="SensorOrientation">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="BIO_SO_NORMAL"/>
 *     &lt;enumeration value="BIO_SO_RIGHT"/>
 *     &lt;enumeration value="BIO_SO_INVERTED"/>
 *     &lt;enumeration value="BIO_SO_LEFT"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "SensorOrientation")
@XmlEnum
public enum SensorOrientation {

    BIO_SO_NORMAL,
    BIO_SO_RIGHT,
    BIO_SO_INVERTED,
    BIO_SO_LEFT;

    public String value() {
        return name();
    }

    public static SensorOrientation fromValue(String v) {
        return valueOf(v);
    }

}
