
package org.nrf_arts.unifiedpos.biometrics;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>SensorTypeJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="SensorType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="BIO_ST_FACIAL_FEATURES"/>
 *     &lt;enumeration value="BIO_ST_VOICE"/>
 *     &lt;enumeration value="BIO_ST_FINGERPRINT"/>
 *     &lt;enumeration value="BIO_ST_IRIS"/>
 *     &lt;enumeration value="BIO_ST_RETINA"/>
 *     &lt;enumeration value="BIO_ST_HAND_GEOMETRY"/>
 *     &lt;enumeration value="BIO_ST_SIGNATURE_DYNAMICS"/>
 *     &lt;enumeration value="BIO_ST_KEYSTOKE_DYNAMICS"/>
 *     &lt;enumeration value="BIO_ST_LIP_MOVEMENT"/>
 *     &lt;enumeration value="BIO_ST_THERMAL_FACE_IMAGE"/>
 *     &lt;enumeration value="BIO_ST_THERMAL_HAND_IMAGE"/>
 *     &lt;enumeration value="BIO_ST_GAIT"/>
 *     &lt;enumeration value="BIO_ST_PASSWORD"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "SensorType")
@XmlEnum
public enum SensorType {

    BIO_ST_FACIAL_FEATURES,
    BIO_ST_VOICE,
    BIO_ST_FINGERPRINT,
    BIO_ST_IRIS,
    BIO_ST_RETINA,
    BIO_ST_HAND_GEOMETRY,
    BIO_ST_SIGNATURE_DYNAMICS,
    BIO_ST_KEYSTOKE_DYNAMICS,
    BIO_ST_LIP_MOVEMENT,
    BIO_ST_THERMAL_FACE_IMAGE,
    BIO_ST_THERMAL_HAND_IMAGE,
    BIO_ST_GAIT,
    BIO_ST_PASSWORD;

    public String value() {
        return name();
    }

    public static SensorType fromValue(String v) {
        return valueOf(v);
    }

}
