
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalAdjustmentJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalAdjustment">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FPTR_AT_AMOUNT_DISCOUNT"/>
 *     &lt;enumeration value="FPTR_AT_AMOUNT_SURCHARGE"/>
 *     &lt;enumeration value="FPTR_AT_COUPON_AMOUNT_DISCOUNT"/>
 *     &lt;enumeration value="FPTR_AT_COUPON_AMOUNT_PERCENTAGE_DISCOUNT"/>
 *     &lt;enumeration value="FPTR_AT_PERCENTAGE_DISCOUNT"/>
 *     &lt;enumeration value="FPTR_AT_PERCENTAGE_SURCHARGE"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalAdjustment")
@XmlEnum
public enum FiscalAdjustment {

    FPTR_AT_AMOUNT_DISCOUNT,
    FPTR_AT_AMOUNT_SURCHARGE,
    FPTR_AT_COUPON_AMOUNT_DISCOUNT,
    FPTR_AT_COUPON_AMOUNT_PERCENTAGE_DISCOUNT,
    FPTR_AT_PERCENTAGE_DISCOUNT,
    FPTR_AT_PERCENTAGE_SURCHARGE;

    public String value() {
        return name();
    }

    public static FiscalAdjustment fromValue(String v) {
        return valueOf(v);
    }

}
