
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalPrinterStateJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalPrinterState">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FPTR_PS_MONITOR"/>
 *     &lt;enumeration value="FPTR_PS_FISCAL_RECEIPT"/>
 *     &lt;enumeration value="FPTR_PS_FISCAL_RECEIPT_TOTAL"/>
 *     &lt;enumeration value="FPTR_PS_FISCAL_RECEIPT_ENDING"/>
 *     &lt;enumeration value="FPTR_PS_FISCAL_DOCUMENT"/>
 *     &lt;enumeration value="FPTR_PS_FIXED_OUTPUT"/>
 *     &lt;enumeration value="FPTR_PS_ITEM_LIST"/>
 *     &lt;enumeration value="FPTR_PS_NONFISCAL"/>
 *     &lt;enumeration value="FPTR_PS_LOCKED"/>
 *     &lt;enumeration value="FPTR_PS_REPORT"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalPrinterState")
@XmlEnum
public enum FiscalPrinterState {

    FPTR_PS_MONITOR,
    FPTR_PS_FISCAL_RECEIPT,
    FPTR_PS_FISCAL_RECEIPT_TOTAL,
    FPTR_PS_FISCAL_RECEIPT_ENDING,
    FPTR_PS_FISCAL_DOCUMENT,
    FPTR_PS_FIXED_OUTPUT,
    FPTR_PS_ITEM_LIST,
    FPTR_PS_NONFISCAL,
    FPTR_PS_LOCKED,
    FPTR_PS_REPORT;

    public String value() {
        return name();
    }

    public static FiscalPrinterState fromValue(String v) {
        return valueOf(v);
    }

}
