
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalTotalizerJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalTotalizer">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FPTR_GT_GROSS"/>
 *     &lt;enumeration value="FPTR_GT_NET"/>
 *     &lt;enumeration value="FPTR_GT_DISCOUNT"/>
 *     &lt;enumeration value="FPTR_GT_DISCOUNT_VOID"/>
 *     &lt;enumeration value="FPTR_GT_ITEM"/>
 *     &lt;enumeration value="FPTR_GT_ITEM_VOID"/>
 *     &lt;enumeration value="FPTR_GT_NOT_PAID"/>
 *     &lt;enumeration value="FPTR_GT_REFUND"/>
 *     &lt;enumeration value="FPTR_GT_REFUND_VOID"/>
 *     &lt;enumeration value="FPTR_GT_SUBTOTAL_DISCOUNT"/>
 *     &lt;enumeration value="FPTR_GT_SUBTOTAL_DISCOUNT_VOID"/>
 *     &lt;enumeration value="FPTR_GT_SUBTOTAL_SURCHARGES"/>
 *     &lt;enumeration value="FPTR_GT_SUBTOTAL_SURCHARGES_VOID"/>
 *     &lt;enumeration value="FPTR_GT_SURCHARGE"/>
 *     &lt;enumeration value="FPTR_GT_SURCHARGE_VOID"/>
 *     &lt;enumeration value="FPTR_GT_VAT"/>
 *     &lt;enumeration value="FPTR_GT_VAT_CATEGORY"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalTotalizer")
@XmlEnum
public enum FiscalTotalizer {

    FPTR_GT_GROSS,
    FPTR_GT_NET,
    FPTR_GT_DISCOUNT,
    FPTR_GT_DISCOUNT_VOID,
    FPTR_GT_ITEM,
    FPTR_GT_ITEM_VOID,
    FPTR_GT_NOT_PAID,
    FPTR_GT_REFUND,
    FPTR_GT_REFUND_VOID,
    FPTR_GT_SUBTOTAL_DISCOUNT,
    FPTR_GT_SUBTOTAL_DISCOUNT_VOID,
    FPTR_GT_SUBTOTAL_SURCHARGES,
    FPTR_GT_SUBTOTAL_SURCHARGES_VOID,
    FPTR_GT_SURCHARGE,
    FPTR_GT_SURCHARGE_VOID,
    FPTR_GT_VAT,
    FPTR_GT_VAT_CATEGORY;

    public String value() {
        return name();
    }

    public static FiscalTotalizer fromValue(String v) {
        return valueOf(v);
    }

}
