
package org.nrf_arts.unifiedpos.imagescanner;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.imagescanner package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ImageScannerEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ImageScannerEventResponse");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "CompareFirmwareResult");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ErrorResponse");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "UposVersion");
    private final static QName _ImageMode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ImageMode");
    private final static QName _DataEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "DataEvent");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ControlState");
    private final static QName _PropertyNameList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "PropertyNameList");
    private final static QName _DataEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "DataEventResponse");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ErrorEvent");
    private final static QName _ParameterList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ParameterList");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ErrorCode");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "DirectIOEventResponse");
    private final static QName _ImageQuality_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ImageQuality");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "PowerNotification");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "PowerReporting");
    private final static QName _ImageType_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ImageType");
    private final static QName _DataContainedEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "DataContainedEventResponse");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "StatusUpdateEvent");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "StatisticList");
    private final static QName _FrameType_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "FrameType");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "HealthCheckLevel");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "UposException");
    private final static QName _ImageScannerEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ImageScannerEvent");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ErrorLocus");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "DirectIOData");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "PowerState");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "StatusUpdateEventResponse");
    private final static QName _DataContainedEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "DataContainedEvent");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "DirectIOEvent");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetDeviceServiceVersionResult");
    private final static QName _GetCapAimConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "ConsumerID");
    private final static QName _DirectIOObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "Obj");
    private final static QName _SetEventRequestPropertiesList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "list");
    private final static QName _ResetStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "StatisticsBuffer");
    private final static QName _DirectIOEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "Source");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "EventResponse");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetDeviceControlVersionResult");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetWSPOSVersionResult");
    private final static QName _GetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "consumerID");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _CompareFirmwareVersionFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "FirmwareFileName");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetCheckHealthTextResult");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GenerateConsumerIDResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetPhysicalDeviceNameResult");
    private final static QName _GetFrameDataResponseGetFrameDataResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetFrameDataResult");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "RetrieveStatisticsResult");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "Value");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "PollForUPOSEventResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "EndpointAddress");
    private final static QName _DataContainedEventParameters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "Parameters");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "DirectIOResult");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetDeviceControlDescriptionResult");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", "GetDeviceServiceDescriptionResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.imagescanner
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetFrameType }
     * 
     */
    public GetFrameType createGetFrameType() {
        return new GetFrameType();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link GetIlluminateModeResponse }
     * 
     */
    public GetIlluminateModeResponse createGetIlluminateModeResponse() {
        return new GetIlluminateModeResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link ClearInputProperties }
     * 
     */
    public ClearInputProperties createClearInputProperties() {
        return new ClearInputProperties();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link ImageScannerEvent }
     * 
     */
    public ImageScannerEvent createImageScannerEvent() {
        return new ImageScannerEvent();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link DataContainedEvent }
     * 
     */
    public DataContainedEvent createDataContainedEvent() {
        return new DataContainedEvent();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link SetVideoRate }
     * 
     */
    public SetVideoRate createSetVideoRate() {
        return new SetVideoRate();
    }

    /**
     * Create an instance of {@link SetVideoRateResponse }
     * 
     */
    public SetVideoRateResponse createSetVideoRateResponse() {
        return new SetVideoRateResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapAimResponse }
     * 
     */
    public GetCapAimResponse createGetCapAimResponse() {
        return new GetCapAimResponse();
    }

    /**
     * Create an instance of {@link ClearInputPropertiesResponse }
     * 
     */
    public ClearInputPropertiesResponse createClearInputPropertiesResponse() {
        return new ClearInputPropertiesResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link GetAimModeResponse }
     * 
     */
    public GetAimModeResponse createGetAimModeResponse() {
        return new GetAimModeResponse();
    }

    /**
     * Create an instance of {@link SetEventRequestPropertiesResponse }
     * 
     */
    public SetEventRequestPropertiesResponse createSetEventRequestPropertiesResponse() {
        return new SetEventRequestPropertiesResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link StopSession }
     * 
     */
    public StopSession createStopSession() {
        return new StopSession();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link ImageScannerEventResponse }
     * 
     */
    public ImageScannerEventResponse createImageScannerEventResponse() {
        return new ImageScannerEventResponse();
    }

    /**
     * Create an instance of {@link GetCapDecodeDataResponse }
     * 
     */
    public GetCapDecodeDataResponse createGetCapDecodeDataResponse() {
        return new GetCapDecodeDataResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link DataEventResponse }
     * 
     */
    public DataEventResponse createDataEventResponse() {
        return new DataEventResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link SetVideoCount }
     * 
     */
    public SetVideoCount createSetVideoCount() {
        return new SetVideoCount();
    }

    /**
     * Create an instance of {@link PropertyNameList }
     * 
     */
    public PropertyNameList createPropertyNameList() {
        return new PropertyNameList();
    }

    /**
     * Create an instance of {@link GetVideoRateResponse }
     * 
     */
    public GetVideoRateResponse createGetVideoRateResponse() {
        return new GetVideoRateResponse();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetBitsPerPixel }
     * 
     */
    public GetBitsPerPixel createGetBitsPerPixel() {
        return new GetBitsPerPixel();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link DataContainedEventResponse }
     * 
     */
    public DataContainedEventResponse createDataContainedEventResponse() {
        return new DataContainedEventResponse();
    }

    /**
     * Create an instance of {@link GetDataEventEnabledResponse }
     * 
     */
    public GetDataEventEnabledResponse createGetDataEventEnabledResponse() {
        return new GetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link SetAutoDisableResponse }
     * 
     */
    public SetAutoDisableResponse createSetAutoDisableResponse() {
        return new SetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link SetImageMode }
     * 
     */
    public SetImageMode createSetImageMode() {
        return new SetImageMode();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link GetDataCountResponse }
     * 
     */
    public GetDataCountResponse createGetDataCountResponse() {
        return new GetDataCountResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetVideoCountResponse }
     * 
     */
    public GetVideoCountResponse createGetVideoCountResponse() {
        return new GetVideoCountResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetCapImageData }
     * 
     */
    public GetCapImageData createGetCapImageData() {
        return new GetCapImageData();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link GetAimMode }
     * 
     */
    public GetAimMode createGetAimMode() {
        return new GetAimMode();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link GetCapImageDataResponse }
     * 
     */
    public GetCapImageDataResponse createGetCapImageDataResponse() {
        return new GetCapImageDataResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetImageHeight }
     * 
     */
    public GetImageHeight createGetImageHeight() {
        return new GetImageHeight();
    }

    /**
     * Create an instance of {@link GetBitsPerPixelResponse }
     * 
     */
    public GetBitsPerPixelResponse createGetBitsPerPixelResponse() {
        return new GetBitsPerPixelResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link GetImageWidth }
     * 
     */
    public GetImageWidth createGetImageWidth() {
        return new GetImageWidth();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link ClearInput }
     * 
     */
    public ClearInput createClearInput() {
        return new ClearInput();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link SetAimMode }
     * 
     */
    public SetAimMode createSetAimMode() {
        return new SetAimMode();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link GetImageType }
     * 
     */
    public GetImageType createGetImageType() {
        return new GetImageType();
    }

    /**
     * Create an instance of {@link GetCapDecodeData }
     * 
     */
    public GetCapDecodeData createGetCapDecodeData() {
        return new GetCapDecodeData();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link SetDataEventEnabledResponse }
     * 
     */
    public SetDataEventEnabledResponse createSetDataEventEnabledResponse() {
        return new SetDataEventEnabledResponse();
    }

    /**
     * Create an instance of {@link GetImageQuality }
     * 
     */
    public GetImageQuality createGetImageQuality() {
        return new GetImageQuality();
    }

    /**
     * Create an instance of {@link SetImageQualityResponse }
     * 
     */
    public SetImageQualityResponse createSetImageQualityResponse() {
        return new SetImageQualityResponse();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link GetIlluminateMode }
     * 
     */
    public GetIlluminateMode createGetIlluminateMode() {
        return new GetIlluminateMode();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link GetFrameData }
     * 
     */
    public GetFrameData createGetFrameData() {
        return new GetFrameData();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link SetIlluminateMode }
     * 
     */
    public SetIlluminateMode createSetIlluminateMode() {
        return new SetIlluminateMode();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link SetVideoCountResponse }
     * 
     */
    public SetVideoCountResponse createSetVideoCountResponse() {
        return new SetVideoCountResponse();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link SetImageModeResponse }
     * 
     */
    public SetImageModeResponse createSetImageModeResponse() {
        return new SetImageModeResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetCapImageQuality }
     * 
     */
    public GetCapImageQuality createGetCapImageQuality() {
        return new GetCapImageQuality();
    }

    /**
     * Create an instance of {@link SetAutoDisable }
     * 
     */
    public SetAutoDisable createSetAutoDisable() {
        return new SetAutoDisable();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link GetDataEventEnabled }
     * 
     */
    public GetDataEventEnabled createGetDataEventEnabled() {
        return new GetDataEventEnabled();
    }

    /**
     * Create an instance of {@link DataEvent }
     * 
     */
    public DataEvent createDataEvent() {
        return new DataEvent();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link GetCapVideoData }
     * 
     */
    public GetCapVideoData createGetCapVideoData() {
        return new GetCapVideoData();
    }

    /**
     * Create an instance of {@link GetImageWidthResponse }
     * 
     */
    public GetImageWidthResponse createGetImageWidthResponse() {
        return new GetImageWidthResponse();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetCapImageQualityResponse }
     * 
     */
    public GetCapImageQualityResponse createGetCapImageQualityResponse() {
        return new GetCapImageQualityResponse();
    }

    /**
     * Create an instance of {@link SetDataEventEnabled }
     * 
     */
    public SetDataEventEnabled createSetDataEventEnabled() {
        return new SetDataEventEnabled();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetCapIlluminateResponse }
     * 
     */
    public GetCapIlluminateResponse createGetCapIlluminateResponse() {
        return new GetCapIlluminateResponse();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link SetIlluminateModeResponse }
     * 
     */
    public SetIlluminateModeResponse createSetIlluminateModeResponse() {
        return new SetIlluminateModeResponse();
    }

    /**
     * Create an instance of {@link SetImageQuality }
     * 
     */
    public SetImageQuality createSetImageQuality() {
        return new SetImageQuality();
    }

    /**
     * Create an instance of {@link GetImageModeResponse }
     * 
     */
    public GetImageModeResponse createGetImageModeResponse() {
        return new GetImageModeResponse();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link StartSessionResponse }
     * 
     */
    public StartSessionResponse createStartSessionResponse() {
        return new StartSessionResponse();
    }

    /**
     * Create an instance of {@link StopSessionResponse }
     * 
     */
    public StopSessionResponse createStopSessionResponse() {
        return new StopSessionResponse();
    }

    /**
     * Create an instance of {@link GetImageQualityResponse }
     * 
     */
    public GetImageQualityResponse createGetImageQualityResponse() {
        return new GetImageQualityResponse();
    }

    /**
     * Create an instance of {@link GetVideoCount }
     * 
     */
    public GetVideoCount createGetVideoCount() {
        return new GetVideoCount();
    }

    /**
     * Create an instance of {@link ClearInputResponse }
     * 
     */
    public ClearInputResponse createClearInputResponse() {
        return new ClearInputResponse();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link GetVideoRate }
     * 
     */
    public GetVideoRate createGetVideoRate() {
        return new GetVideoRate();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link GetCapVideoDataResponse }
     * 
     */
    public GetCapVideoDataResponse createGetCapVideoDataResponse() {
        return new GetCapVideoDataResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetImageMode }
     * 
     */
    public GetImageMode createGetImageMode() {
        return new GetImageMode();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link GetImageHeightResponse }
     * 
     */
    public GetImageHeightResponse createGetImageHeightResponse() {
        return new GetImageHeightResponse();
    }

    /**
     * Create an instance of {@link GetFrameTypeResponse }
     * 
     */
    public GetFrameTypeResponse createGetFrameTypeResponse() {
        return new GetFrameTypeResponse();
    }

    /**
     * Create an instance of {@link GetImageTypeResponse }
     * 
     */
    public GetImageTypeResponse createGetImageTypeResponse() {
        return new GetImageTypeResponse();
    }

    /**
     * Create an instance of {@link SetEventRequestProperties }
     * 
     */
    public SetEventRequestProperties createSetEventRequestProperties() {
        return new SetEventRequestProperties();
    }

    /**
     * Create an instance of {@link GetCapAim }
     * 
     */
    public GetCapAim createGetCapAim() {
        return new GetCapAim();
    }

    /**
     * Create an instance of {@link GetCapHostTriggeredResponse }
     * 
     */
    public GetCapHostTriggeredResponse createGetCapHostTriggeredResponse() {
        return new GetCapHostTriggeredResponse();
    }

    /**
     * Create an instance of {@link GetDataCount }
     * 
     */
    public GetDataCount createGetDataCount() {
        return new GetDataCount();
    }

    /**
     * Create an instance of {@link StartSession }
     * 
     */
    public StartSession createStartSession() {
        return new StartSession();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetImageLengthResponse }
     * 
     */
    public GetImageLengthResponse createGetImageLengthResponse() {
        return new GetImageLengthResponse();
    }

    /**
     * Create an instance of {@link GetAutoDisable }
     * 
     */
    public GetAutoDisable createGetAutoDisable() {
        return new GetAutoDisable();
    }

    /**
     * Create an instance of {@link GetAutoDisableResponse }
     * 
     */
    public GetAutoDisableResponse createGetAutoDisableResponse() {
        return new GetAutoDisableResponse();
    }

    /**
     * Create an instance of {@link GetImageLength }
     * 
     */
    public GetImageLength createGetImageLength() {
        return new GetImageLength();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapHostTriggered }
     * 
     */
    public GetCapHostTriggered createGetCapHostTriggered() {
        return new GetCapHostTriggered();
    }

    /**
     * Create an instance of {@link GetCapIlluminate }
     * 
     */
    public GetCapIlluminate createGetCapIlluminate() {
        return new GetCapIlluminate();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link SetAimModeResponse }
     * 
     */
    public SetAimModeResponse createSetAimModeResponse() {
        return new SetAimModeResponse();
    }

    /**
     * Create an instance of {@link GetFrameDataResponse }
     * 
     */
    public GetFrameDataResponse createGetFrameDataResponse() {
        return new GetFrameDataResponse();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link ParameterList.Parameter }
     * 
     */
    public ParameterList.Parameter createParameterListParameter() {
        return new ParameterList.Parameter();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ImageScannerEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ImageScannerEventResponse")
    public JAXBElement<ImageScannerEventResponse> createImageScannerEventResponse(ImageScannerEventResponse value) {
        return new JAXBElement<ImageScannerEventResponse>(_ImageScannerEventResponse_QNAME, ImageScannerEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ImageMode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ImageMode")
    public JAXBElement<ImageMode> createImageMode(ImageMode value) {
        return new JAXBElement<ImageMode>(_ImageMode_QNAME, ImageMode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DataEvent")
    public JAXBElement<DataEvent> createDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "PropertyNameList")
    public JAXBElement<PropertyNameList> createPropertyNameList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_PropertyNameList_QNAME, PropertyNameList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DataEventResponse")
    public JAXBElement<DataEventResponse> createDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ParameterList")
    public JAXBElement<ParameterList> createParameterList(ParameterList value) {
        return new JAXBElement<ParameterList>(_ParameterList_QNAME, ParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ImageQuality }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ImageQuality")
    public JAXBElement<ImageQuality> createImageQuality(ImageQuality value) {
        return new JAXBElement<ImageQuality>(_ImageQuality_QNAME, ImageQuality.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ImageType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ImageType")
    public JAXBElement<ImageType> createImageType(ImageType value) {
        return new JAXBElement<ImageType>(_ImageType_QNAME, ImageType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DataContainedEventResponse")
    public JAXBElement<DataContainedEventResponse> createDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FrameType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "FrameType")
    public JAXBElement<FrameType> createFrameType(FrameType value) {
        return new JAXBElement<FrameType>(_FrameType_QNAME, FrameType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ImageScannerEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ImageScannerEvent")
    public JAXBElement<ImageScannerEvent> createImageScannerEvent(ImageScannerEvent value) {
        return new JAXBElement<ImageScannerEvent>(_ImageScannerEvent_QNAME, ImageScannerEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DataContainedEvent")
    public JAXBElement<DataContainedEvent> createDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapAim.class)
    public JAXBElement<String> createGetCapAimConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapAim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = StopSession.class)
    public JAXBElement<String> createStopSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, StopSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetIlluminateMode.class)
    public JAXBElement<String> createSetIlluminateModeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetIlluminateMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetImageMode.class)
    public JAXBElement<String> createGetImageModeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetImageMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PropertyNameList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "list", scope = SetEventRequestProperties.class)
    public JAXBElement<PropertyNameList> createSetEventRequestPropertiesList(PropertyNameList value) {
        return new JAXBElement<PropertyNameList>(_SetEventRequestPropertiesList_QNAME, PropertyNameList.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetEventRequestProperties.class)
    public JAXBElement<String> createSetEventRequestPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetEventRequestProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetImageMode.class)
    public JAXBElement<String> createSetImageModeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetImageMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetIlluminateMode.class)
    public JAXBElement<String> createGetIlluminateModeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetIlluminateMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_ResetStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetImageLength.class)
    public JAXBElement<String> createGetImageLengthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetImageLength.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ImageScannerEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<ImageScannerEventResponse> createSetEventResponseEventResponse(ImageScannerEventResponse value) {
        return new JAXBElement<ImageScannerEventResponse>(_SetEventResponseEventResponse_QNAME, ImageScannerEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetVideoRate.class)
    public JAXBElement<String> createSetVideoRateConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetVideoRate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = ClearInput.class)
    public JAXBElement<String> createClearInputConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, ClearInput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetFrameData.class)
    public JAXBElement<String> createGetFrameDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetFrameData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_ResetStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapDecodeData.class)
    public JAXBElement<String> createGetCapDecodeDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapDecodeData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "StatusUpdateEvent", scope = ImageScannerEvent.class)
    public JAXBElement<StatusUpdateEvent> createImageScannerEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, ImageScannerEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DataContainedEvent", scope = ImageScannerEvent.class)
    public JAXBElement<DataContainedEvent> createImageScannerEventDataContainedEvent(DataContainedEvent value) {
        return new JAXBElement<DataContainedEvent>(_DataContainedEvent_QNAME, DataContainedEvent.class, ImageScannerEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DirectIOEvent", scope = ImageScannerEvent.class)
    public JAXBElement<DirectIOEvent> createImageScannerEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, ImageScannerEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ErrorEvent", scope = ImageScannerEvent.class)
    public JAXBElement<ErrorEvent> createImageScannerEventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, ImageScannerEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DataEvent", scope = ImageScannerEvent.class)
    public JAXBElement<DataEvent> createImageScannerEventDataEvent(DataEvent value) {
        return new JAXBElement<DataEvent>(_DataEvent_QNAME, DataEvent.class, ImageScannerEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = ClearInputProperties.class)
    public JAXBElement<String> createClearInputPropertiesConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, ClearInputProperties.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetAimMode.class)
    public JAXBElement<String> createSetAimModeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetAimMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetImageQuality.class)
    public JAXBElement<String> createGetImageQualityConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetImageQuality.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetAutoDisable.class)
    public JAXBElement<String> createGetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetImageWidth.class)
    public JAXBElement<String> createGetImageWidthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetImageWidth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetVideoRate.class)
    public JAXBElement<String> createGetVideoRateConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetVideoRate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapVideoData.class)
    public JAXBElement<String> createGetCapVideoDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapVideoData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetVideoCount.class)
    public JAXBElement<String> createGetVideoCountConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetVideoCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Source", scope = DataEvent.class)
    public JAXBElement<String> createDataEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetImageQuality.class)
    public JAXBElement<String> createSetImageQualityConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetImageQuality.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetDataEventEnabled.class)
    public JAXBElement<String> createSetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_ResetStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetAimMode.class)
    public JAXBElement<String> createGetAimModeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetAimMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetFrameDataResult", scope = GetFrameDataResponse.class)
    public JAXBElement<byte[]> createGetFrameDataResponseGetFrameDataResult(byte[] value) {
        return new JAXBElement<byte[]>(_GetFrameDataResponseGetFrameDataResult_QNAME, byte[].class, GetFrameDataResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetBitsPerPixel.class)
    public JAXBElement<String> createGetBitsPerPixelConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetBitsPerPixel.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ImageScannerEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<ImageScannerEvent> createPollForUPOSEventResponsePollForUPOSEventResult(ImageScannerEvent value) {
        return new JAXBElement<ImageScannerEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, ImageScannerEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetDataEventEnabled.class)
    public JAXBElement<String> createGetDataEventEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetDataEventEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetImageType.class)
    public JAXBElement<String> createGetImageTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetImageType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Parameters", scope = DataContainedEvent.class)
    public JAXBElement<ParameterList> createDataContainedEventParameters(ParameterList value) {
        return new JAXBElement<ParameterList>(_DataContainedEventParameters_QNAME, ParameterList.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Source", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetDataCount.class)
    public JAXBElement<String> createGetDataCountConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetDataCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapIlluminate.class)
    public JAXBElement<String> createGetCapIlluminateConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapIlluminate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DirectIOEventResponse", scope = ImageScannerEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createImageScannerEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, ImageScannerEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ErrorEventResponse", scope = ImageScannerEventResponse.class)
    public JAXBElement<ErrorEventResponse> createImageScannerEventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, ImageScannerEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "StatusUpdateEventResponse", scope = ImageScannerEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createImageScannerEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, ImageScannerEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DataEventResponse", scope = ImageScannerEventResponse.class)
    public JAXBElement<DataEventResponse> createImageScannerEventResponseDataEventResponse(DataEventResponse value) {
        return new JAXBElement<DataEventResponse>(_DataEventResponse_QNAME, DataEventResponse.class, ImageScannerEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DataContainedEventResponse", scope = ImageScannerEventResponse.class)
    public JAXBElement<DataContainedEventResponse> createImageScannerEventResponseDataContainedEventResponse(DataContainedEventResponse value) {
        return new JAXBElement<DataContainedEventResponse>(_DataContainedEventResponse_QNAME, DataContainedEventResponse.class, ImageScannerEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetImageHeight.class)
    public JAXBElement<String> createGetImageHeightConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetImageHeight.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapHostTriggered.class)
    public JAXBElement<String> createGetCapHostTriggeredConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapHostTriggered.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = StartSession.class)
    public JAXBElement<String> createStartSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, StartSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetFrameType.class)
    public JAXBElement<String> createGetFrameTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetFrameType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapImageQuality.class)
    public JAXBElement<String> createGetCapImageQualityConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapImageQuality.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetAutoDisable.class)
    public JAXBElement<String> createSetAutoDisableConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetAutoDisable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = SetVideoCount.class)
    public JAXBElement<String> createSetVideoCountConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, SetVideoCount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapImageData.class)
    public JAXBElement<String> createGetCapImageDataConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapImageData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_GetCapAimConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ImageScanner/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

}
