
package org.nrf_arts.unifiedpos.posprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>PrinterStationJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="PrinterStation">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PTR_S_RECEIPT"/>
 *     &lt;enumeration value="PTR_S_SLIP"/>
 *     &lt;enumeration value="PTR_S_JOURNAL"/>
 *     &lt;enumeration value="PTR_TWO_RECEIPT_JOURNAL"/>
 *     &lt;enumeration value="PTR_TWO_SLIP_JOURNAL"/>
 *     &lt;enumeration value="PTR_TWO_SLIP_RECEIPT"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PrinterStation")
@XmlEnum
public enum PrinterStation {

    PTR_S_RECEIPT,
    PTR_S_SLIP,
    PTR_S_JOURNAL,
    PTR_TWO_RECEIPT_JOURNAL,
    PTR_TWO_SLIP_JOURNAL,
    PTR_TWO_SLIP_RECEIPT;

    public String value() {
        return name();
    }

    public static PrinterStation fromValue(String v) {
        return valueOf(v);
    }

}
