
package org.nrf_arts.unifiedpos.remoteorderdisplay;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>ClockModeJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="ClockMode">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="ROD_CLK_SHORT"/>
 *     &lt;enumeration value="ROD_CLK_NORMAL"/>
 *     &lt;enumeration value="ROD_CLK_12_int"/>
 *     &lt;enumeration value="ROD_CLK_24_int"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ClockMode")
@XmlEnum
public enum ClockMode {

    ROD_CLK_SHORT("ROD_CLK_SHORT"),
    ROD_CLK_NORMAL("ROD_CLK_NORMAL"),
    @XmlEnumValue("ROD_CLK_12_int")
    ROD_CLK_12_INT("ROD_CLK_12_int"),
    @XmlEnumValue("ROD_CLK_24_int")
    ROD_CLK_24_INT("ROD_CLK_24_int");
    private final String value;

    ClockMode(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ClockMode fromValue(String v) {
        for (ClockMode c: ClockMode.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
