
package org.nrf_arts.unifiedpos.remoteorderdisplayevents;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.remoteorderdisplayevents package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "ErrorResponse");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "ErrorLocus");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "DirectIOData");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "ErrorCode");
    private final static QName _ParameterList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "ParameterList");
    private final static QName _DataContainedEventData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "DataContainedEventData");
    private final static QName _DataContainedEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "Source");
    private final static QName _DataContainedEventConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "ConsumerID");
    private final static QName _DataContainedEventParameters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "Parameters");
    private final static QName _DirectIOEventResponseDirectIOEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "DirectIOEventResult");
    private final static QName _DirectIOEventObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "Obj");
    private final static QName _DataContainedEventResponseDataContainedEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", "DataContainedEventResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.remoteorderdisplayevents
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ParameterList }
     * 
     */
    public ParameterList createParameterList() {
        return new ParameterList();
    }

    /**
     * Create an instance of {@link DataContainedEventData }
     * 
     */
    public DataContainedEventData createDataContainedEventData() {
        return new DataContainedEventData();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link OutputCompleteEvent }
     * 
     */
    public OutputCompleteEvent createOutputCompleteEvent() {
        return new OutputCompleteEvent();
    }

    /**
     * Create an instance of {@link DataContainedEventResponse }
     * 
     */
    public DataContainedEventResponse createDataContainedEventResponse() {
        return new DataContainedEventResponse();
    }

    /**
     * Create an instance of {@link DataEvent }
     * 
     */
    public DataEvent createDataEvent() {
        return new DataEvent();
    }

    /**
     * Create an instance of {@link OutputCompleteEventResponse }
     * 
     */
    public OutputCompleteEventResponse createOutputCompleteEventResponse() {
        return new OutputCompleteEventResponse();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link DataEventResponse }
     * 
     */
    public DataEventResponse createDataEventResponse() {
        return new DataEventResponse();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link DataContainedEvent }
     * 
     */
    public DataContainedEvent createDataContainedEvent() {
        return new DataContainedEvent();
    }

    /**
     * Create an instance of {@link ParameterList.Parameter }
     * 
     */
    public ParameterList.Parameter createParameterListParameter() {
        return new ParameterList.Parameter();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ParameterList")
    public JAXBElement<ParameterList> createParameterList(ParameterList value) {
        return new JAXBElement<ParameterList>(_ParameterList_QNAME, ParameterList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "DataContainedEventData")
    public JAXBElement<DataContainedEventData> createDataContainedEventData(DataContainedEventData value) {
        return new JAXBElement<DataContainedEventData>(_DataContainedEventData_QNAME, DataContainedEventData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Source", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventSource(String value) {
        return new JAXBElement<String>(_DataContainedEventSource_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ConsumerID", scope = DataContainedEvent.class)
    public JAXBElement<String> createDataContainedEventConsumerID(String value) {
        return new JAXBElement<String>(_DataContainedEventConsumerID_QNAME, String.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParameterList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Parameters", scope = DataContainedEvent.class)
    public JAXBElement<ParameterList> createDataContainedEventParameters(ParameterList value) {
        return new JAXBElement<ParameterList>(_DataContainedEventParameters_QNAME, ParameterList.class, DataContainedEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DataContainedEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ConsumerID", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventConsumerID(String value) {
        return new JAXBElement<String>(_DataContainedEventConsumerID_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "DirectIOEventResult", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOEventResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOEventResponseDirectIOEventResult_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DataContainedEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ConsumerID", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventConsumerID(String value) {
        return new JAXBElement<String>(_DataContainedEventConsumerID_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Source", scope = OutputCompleteEvent.class)
    public JAXBElement<String> createOutputCompleteEventSource(String value) {
        return new JAXBElement<String>(_DataContainedEventSource_QNAME, String.class, OutputCompleteEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ConsumerID", scope = OutputCompleteEvent.class)
    public JAXBElement<String> createOutputCompleteEventConsumerID(String value) {
        return new JAXBElement<String>(_DataContainedEventConsumerID_QNAME, String.class, OutputCompleteEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Source", scope = DataEvent.class)
    public JAXBElement<String> createDataEventSource(String value) {
        return new JAXBElement<String>(_DataContainedEventSource_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ConsumerID", scope = DataEvent.class)
    public JAXBElement<String> createDataEventConsumerID(String value) {
        return new JAXBElement<String>(_DataContainedEventConsumerID_QNAME, String.class, DataEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataContainedEventData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "DataContainedEventResult", scope = DataContainedEventResponse.class)
    public JAXBElement<DataContainedEventData> createDataContainedEventResponseDataContainedEventResult(DataContainedEventData value) {
        return new JAXBElement<DataContainedEventData>(_DataContainedEventResponseDataContainedEventResult_QNAME, DataContainedEventData.class, DataContainedEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_DataContainedEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "ConsumerID", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventConsumerID(String value) {
        return new JAXBElement<String>(_DataContainedEventConsumerID_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/RemoteOrderDisplayEvents/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIOData.class, value);
    }

}
