
package org.nrf_arts.unifiedpos.toneindicator;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.toneindicator package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "DirectIOEventResponse");
    private final static QName _ToneIndicatorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ToneIndicatorEvent");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "PowerNotification");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "PowerReporting");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ErrorResponse");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "CompareFirmwareResult");
    private final static QName _OutputCompleteEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "OutputCompleteEvent");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "UposVersion");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "StatusUpdateEvent");
    private final static QName _ToneIndicatorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ToneIndicatorEventResponse");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "StatisticList");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ControlState");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "HealthCheckLevel");
    private final static QName _OutputCompleteEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "OutputCompleteEventResponse");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "UposException");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "DirectIOData");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "PowerState");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ErrorLocus");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "DirectIOEvent");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "StatusUpdateEventResponse");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ErrorEvent");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ErrorCode");
    private final static QName _GetFreezeEventsConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "ConsumerID");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetDeviceControlVersionResult");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "PollForUPOSEventResult");
    private final static QName _DirectIODataObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "Obj");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetDeviceControlDescriptionResult");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetWSPOSVersionResult");
    private final static QName _SetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "consumerID");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "EventResponse");
    private final static QName _RetrieveStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "StatisticsBuffer");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetDeviceServiceVersionResult");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "DirectIOResult");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetDeviceServiceDescriptionResult");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GenerateConsumerIDResult");
    private final static QName _ErrorEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "Source");
    private final static QName _CompareFirmwareVersionFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "FirmwareFileName");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "EndpointAddress");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetCheckHealthTextResult");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "RetrieveStatisticsResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "GetPhysicalDeviceNameResult");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", "Value");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.toneindicator
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetInterToneWait }
     * 
     */
    public GetInterToneWait createGetInterToneWait() {
        return new GetInterToneWait();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link SetTone1Volume }
     * 
     */
    public SetTone1Volume createSetTone1Volume() {
        return new SetTone1Volume();
    }

    /**
     * Create an instance of {@link GetTone2DurationResponse }
     * 
     */
    public GetTone2DurationResponse createGetTone2DurationResponse() {
        return new GetTone2DurationResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetCapPitchResponse }
     * 
     */
    public GetCapPitchResponse createGetCapPitchResponse() {
        return new GetCapPitchResponse();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GetTone1Volume }
     * 
     */
    public GetTone1Volume createGetTone1Volume() {
        return new GetTone1Volume();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link GetTone1Duration }
     * 
     */
    public GetTone1Duration createGetTone1Duration() {
        return new GetTone1Duration();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetCapMelodyResponse }
     * 
     */
    public GetCapMelodyResponse createGetCapMelodyResponse() {
        return new GetCapMelodyResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link Sound }
     * 
     */
    public Sound createSound() {
        return new Sound();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetInterToneWaitResponse }
     * 
     */
    public GetInterToneWaitResponse createGetInterToneWaitResponse() {
        return new GetInterToneWaitResponse();
    }

    /**
     * Create an instance of {@link SetTone1DurationResponse }
     * 
     */
    public SetTone1DurationResponse createSetTone1DurationResponse() {
        return new SetTone1DurationResponse();
    }

    /**
     * Create an instance of {@link GetCapMelody }
     * 
     */
    public GetCapMelody createGetCapMelody() {
        return new GetCapMelody();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link ToneIndicatorEventResponse }
     * 
     */
    public ToneIndicatorEventResponse createToneIndicatorEventResponse() {
        return new ToneIndicatorEventResponse();
    }

    /**
     * Create an instance of {@link GetMelodyTypeResponse }
     * 
     */
    public GetMelodyTypeResponse createGetMelodyTypeResponse() {
        return new GetMelodyTypeResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link SoundImmediateResponse }
     * 
     */
    public SoundImmediateResponse createSoundImmediateResponse() {
        return new SoundImmediateResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link GetCapVolume }
     * 
     */
    public GetCapVolume createGetCapVolume() {
        return new GetCapVolume();
    }

    /**
     * Create an instance of {@link GetOutputID }
     * 
     */
    public GetOutputID createGetOutputID() {
        return new GetOutputID();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link SetTone1Duration }
     * 
     */
    public SetTone1Duration createSetTone1Duration() {
        return new SetTone1Duration();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link OutputCompleteEvent }
     * 
     */
    public OutputCompleteEvent createOutputCompleteEvent() {
        return new OutputCompleteEvent();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link GetMelodyType }
     * 
     */
    public GetMelodyType createGetMelodyType() {
        return new GetMelodyType();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link GetTone1VolumeResponse }
     * 
     */
    public GetTone1VolumeResponse createGetTone1VolumeResponse() {
        return new GetTone1VolumeResponse();
    }

    /**
     * Create an instance of {@link SetMelodyTypeResponse }
     * 
     */
    public SetMelodyTypeResponse createSetMelodyTypeResponse() {
        return new SetMelodyTypeResponse();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetTone2Duration }
     * 
     */
    public GetTone2Duration createGetTone2Duration() {
        return new GetTone2Duration();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetTone1PitchResponse }
     * 
     */
    public GetTone1PitchResponse createGetTone1PitchResponse() {
        return new GetTone1PitchResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link ToneIndicatorEvent }
     * 
     */
    public ToneIndicatorEvent createToneIndicatorEvent() {
        return new ToneIndicatorEvent();
    }

    /**
     * Create an instance of {@link GetMelodyVolume }
     * 
     */
    public GetMelodyVolume createGetMelodyVolume() {
        return new GetMelodyVolume();
    }

    /**
     * Create an instance of {@link SetMelodyVolumeResponse }
     * 
     */
    public SetMelodyVolumeResponse createSetMelodyVolumeResponse() {
        return new SetMelodyVolumeResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetAsyncModeResponse }
     * 
     */
    public GetAsyncModeResponse createGetAsyncModeResponse() {
        return new GetAsyncModeResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link GetTone2VolumeResponse }
     * 
     */
    public GetTone2VolumeResponse createGetTone2VolumeResponse() {
        return new GetTone2VolumeResponse();
    }

    /**
     * Create an instance of {@link SetTone2DurationResponse }
     * 
     */
    public SetTone2DurationResponse createSetTone2DurationResponse() {
        return new SetTone2DurationResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link SetTone2Pitch }
     * 
     */
    public SetTone2Pitch createSetTone2Pitch() {
        return new SetTone2Pitch();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link SetAsyncModeResponse }
     * 
     */
    public SetAsyncModeResponse createSetAsyncModeResponse() {
        return new SetAsyncModeResponse();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link SetTone2Duration }
     * 
     */
    public SetTone2Duration createSetTone2Duration() {
        return new SetTone2Duration();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link SetTone2PitchResponse }
     * 
     */
    public SetTone2PitchResponse createSetTone2PitchResponse() {
        return new SetTone2PitchResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link GetTone2PitchResponse }
     * 
     */
    public GetTone2PitchResponse createGetTone2PitchResponse() {
        return new GetTone2PitchResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link GetTone2Pitch }
     * 
     */
    public GetTone2Pitch createGetTone2Pitch() {
        return new GetTone2Pitch();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link SetInterToneWait }
     * 
     */
    public SetInterToneWait createSetInterToneWait() {
        return new SetInterToneWait();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link SetTone1Pitch }
     * 
     */
    public SetTone1Pitch createSetTone1Pitch() {
        return new SetTone1Pitch();
    }

    /**
     * Create an instance of {@link SetMelodyVolume }
     * 
     */
    public SetMelodyVolume createSetMelodyVolume() {
        return new SetMelodyVolume();
    }

    /**
     * Create an instance of {@link GetCapPitch }
     * 
     */
    public GetCapPitch createGetCapPitch() {
        return new GetCapPitch();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link ClearOutput }
     * 
     */
    public ClearOutput createClearOutput() {
        return new ClearOutput();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link SetInterToneWaitResponse }
     * 
     */
    public SetInterToneWaitResponse createSetInterToneWaitResponse() {
        return new SetInterToneWaitResponse();
    }

    /**
     * Create an instance of {@link SoundResponse }
     * 
     */
    public SoundResponse createSoundResponse() {
        return new SoundResponse();
    }

    /**
     * Create an instance of {@link GetTone1DurationResponse }
     * 
     */
    public GetTone1DurationResponse createGetTone1DurationResponse() {
        return new GetTone1DurationResponse();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link SetMelodyType }
     * 
     */
    public SetMelodyType createSetMelodyType() {
        return new SetMelodyType();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link GetAsyncMode }
     * 
     */
    public GetAsyncMode createGetAsyncMode() {
        return new GetAsyncMode();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link ClearOutputResponse }
     * 
     */
    public ClearOutputResponse createClearOutputResponse() {
        return new ClearOutputResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link SetTone2VolumeResponse }
     * 
     */
    public SetTone2VolumeResponse createSetTone2VolumeResponse() {
        return new SetTone2VolumeResponse();
    }

    /**
     * Create an instance of {@link OutputCompleteEventResponse }
     * 
     */
    public OutputCompleteEventResponse createOutputCompleteEventResponse() {
        return new OutputCompleteEventResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link SetTone1PitchResponse }
     * 
     */
    public SetTone1PitchResponse createSetTone1PitchResponse() {
        return new SetTone1PitchResponse();
    }

    /**
     * Create an instance of {@link SoundImmediate }
     * 
     */
    public SoundImmediate createSoundImmediate() {
        return new SoundImmediate();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link SetTone2Volume }
     * 
     */
    public SetTone2Volume createSetTone2Volume() {
        return new SetTone2Volume();
    }

    /**
     * Create an instance of {@link GetCapVolumeResponse }
     * 
     */
    public GetCapVolumeResponse createGetCapVolumeResponse() {
        return new GetCapVolumeResponse();
    }

    /**
     * Create an instance of {@link GetMelodyVolumeResponse }
     * 
     */
    public GetMelodyVolumeResponse createGetMelodyVolumeResponse() {
        return new GetMelodyVolumeResponse();
    }

    /**
     * Create an instance of {@link SetAsyncMode }
     * 
     */
    public SetAsyncMode createSetAsyncMode() {
        return new SetAsyncMode();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link SetTone1VolumeResponse }
     * 
     */
    public SetTone1VolumeResponse createSetTone1VolumeResponse() {
        return new SetTone1VolumeResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetOutputIDResponse }
     * 
     */
    public GetOutputIDResponse createGetOutputIDResponse() {
        return new GetOutputIDResponse();
    }

    /**
     * Create an instance of {@link GetTone1Pitch }
     * 
     */
    public GetTone1Pitch createGetTone1Pitch() {
        return new GetTone1Pitch();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link GetTone2Volume }
     * 
     */
    public GetTone2Volume createGetTone2Volume() {
        return new GetTone2Volume();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToneIndicatorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ToneIndicatorEvent")
    public JAXBElement<ToneIndicatorEvent> createToneIndicatorEvent(ToneIndicatorEvent value) {
        return new JAXBElement<ToneIndicatorEvent>(_ToneIndicatorEvent_QNAME, ToneIndicatorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "OutputCompleteEvent")
    public JAXBElement<OutputCompleteEvent> createOutputCompleteEvent(OutputCompleteEvent value) {
        return new JAXBElement<OutputCompleteEvent>(_OutputCompleteEvent_QNAME, OutputCompleteEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToneIndicatorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ToneIndicatorEventResponse")
    public JAXBElement<ToneIndicatorEventResponse> createToneIndicatorEventResponse(ToneIndicatorEventResponse value) {
        return new JAXBElement<ToneIndicatorEventResponse>(_ToneIndicatorEventResponse_QNAME, ToneIndicatorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "OutputCompleteEventResponse")
    public JAXBElement<OutputCompleteEventResponse> createOutputCompleteEventResponse(OutputCompleteEventResponse value) {
        return new JAXBElement<OutputCompleteEventResponse>(_OutputCompleteEventResponse_QNAME, OutputCompleteEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = Sound.class)
    public JAXBElement<String> createSoundConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, Sound.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToneIndicatorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<ToneIndicatorEvent> createPollForUPOSEventResponsePollForUPOSEventResult(ToneIndicatorEvent value) {
        return new JAXBElement<ToneIndicatorEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, ToneIndicatorEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetTone1Pitch.class)
    public JAXBElement<String> createGetTone1PitchConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetTone1Pitch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetTone1Volume.class)
    public JAXBElement<String> createGetTone1VolumeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetTone1Volume.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ToneIndicatorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<ToneIndicatorEventResponse> createSetEventResponseEventResponse(ToneIndicatorEventResponse value) {
        return new JAXBElement<ToneIndicatorEventResponse>(_SetEventResponseEventResponse_QNAME, ToneIndicatorEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetAsyncMode.class)
    public JAXBElement<String> createSetAsyncModeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetAsyncMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetTone1Volume.class)
    public JAXBElement<String> createSetTone1VolumeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetTone1Volume.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetTone1Duration.class)
    public JAXBElement<String> createSetTone1DurationConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetTone1Duration.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SoundImmediate.class)
    public JAXBElement<String> createSoundImmediateConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SoundImmediate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetTone2Pitch.class)
    public JAXBElement<String> createSetTone2PitchConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetTone2Pitch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "DirectIOEventResponse", scope = ToneIndicatorEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createToneIndicatorEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, ToneIndicatorEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ErrorEventResponse", scope = ToneIndicatorEventResponse.class)
    public JAXBElement<ErrorEventResponse> createToneIndicatorEventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, ToneIndicatorEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "OutputCompleteEventResponse", scope = ToneIndicatorEventResponse.class)
    public JAXBElement<OutputCompleteEventResponse> createToneIndicatorEventResponseOutputCompleteEventResponse(OutputCompleteEventResponse value) {
        return new JAXBElement<OutputCompleteEventResponse>(_OutputCompleteEventResponse_QNAME, OutputCompleteEventResponse.class, ToneIndicatorEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "StatusUpdateEventResponse", scope = ToneIndicatorEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createToneIndicatorEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, ToneIndicatorEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetTone1Pitch.class)
    public JAXBElement<String> createSetTone1PitchConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetTone1Pitch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetAsyncMode.class)
    public JAXBElement<String> createGetAsyncModeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetAsyncMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetMelodyVolume.class)
    public JAXBElement<String> createSetMelodyVolumeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetMelodyVolume.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetTone2Pitch.class)
    public JAXBElement<String> createGetTone2PitchConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetTone2Pitch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "StatusUpdateEvent", scope = ToneIndicatorEvent.class)
    public JAXBElement<StatusUpdateEvent> createToneIndicatorEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, ToneIndicatorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "DirectIOEvent", scope = ToneIndicatorEvent.class)
    public JAXBElement<DirectIOEvent> createToneIndicatorEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, ToneIndicatorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "OutputCompleteEvent", scope = ToneIndicatorEvent.class)
    public JAXBElement<OutputCompleteEvent> createToneIndicatorEventOutputCompleteEvent(OutputCompleteEvent value) {
        return new JAXBElement<OutputCompleteEvent>(_OutputCompleteEvent_QNAME, OutputCompleteEvent.class, ToneIndicatorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ErrorEvent", scope = ToneIndicatorEvent.class)
    public JAXBElement<ErrorEvent> createToneIndicatorEventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, ToneIndicatorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetTone1Duration.class)
    public JAXBElement<String> createGetTone1DurationConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetTone1Duration.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetTone2Volume.class)
    public JAXBElement<String> createGetTone2VolumeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetTone2Volume.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCapMelody.class)
    public JAXBElement<String> createGetCapMelodyConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCapMelody.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetTone2Duration.class)
    public JAXBElement<String> createSetTone2DurationConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetTone2Duration.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Source", scope = OutputCompleteEvent.class)
    public JAXBElement<String> createOutputCompleteEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, OutputCompleteEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCapPitch.class)
    public JAXBElement<String> createGetCapPitchConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCapPitch.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetInterToneWait.class)
    public JAXBElement<String> createSetInterToneWaitConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetInterToneWait.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = ClearOutput.class)
    public JAXBElement<String> createClearOutputConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, ClearOutput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetInterToneWait.class)
    public JAXBElement<String> createGetInterToneWaitConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetInterToneWait.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetOutputID.class)
    public JAXBElement<String> createGetOutputIDConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetOutputID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetMelodyVolume.class)
    public JAXBElement<String> createGetMelodyVolumeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetMelodyVolume.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCapVolume.class)
    public JAXBElement<String> createGetCapVolumeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCapVolume.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIODataObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetTone2Volume.class)
    public JAXBElement<String> createSetTone2VolumeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetTone2Volume.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetMelodyType.class)
    public JAXBElement<String> createGetMelodyTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetMelodyType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetTone2Duration.class)
    public JAXBElement<String> createGetTone2DurationConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetTone2Duration.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = SetMelodyType.class)
    public JAXBElement<String> createSetMelodyTypeConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, SetMelodyType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/ToneIndicator/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_GetFreezeEventsConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

}
