
package org.nrf_arts.unifiedpos.biometrics;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>BiometricsInformationRecord complex typeJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * 
 * <pre>
 * &lt;complexType name="BiometricsInformationRecord">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="BiometricDataBlock" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element name="BiometricDataBlockSize" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="CreatedTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="DataType" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="FormatId" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="FormatOwner" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="Purpose" type="{http://www.nrf-arts.org/UnifiedPOS/Biometrics/}BIRPurpose" minOccurs="0"/>
 *         &lt;element name="SensorType" type="{http://www.nrf-arts.org/UnifiedPOS/Biometrics/}SensorType" minOccurs="0"/>
 *         &lt;element name="Version" type="{http://www.nrf-arts.org/UnifiedPOS/Biometrics/}UposVersion" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BiometricsInformationRecord", propOrder = {
    "biometricDataBlock",
    "biometricDataBlockSize",
    "createdTime",
    "dataType",
    "formatId",
    "formatOwner",
    "purpose",
    "sensorType",
    "version"
})
public class BiometricsInformationRecord {

    @XmlElementRef(name = "BiometricDataBlock", namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", type = JAXBElement.class, required = false)
    protected JAXBElement<byte[]> biometricDataBlock;
    @XmlElement(name = "BiometricDataBlockSize")
    protected Integer biometricDataBlockSize;
    @XmlElement(name = "CreatedTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar createdTime;
    @XmlElement(name = "DataType")
    protected Integer dataType;
    @XmlElement(name = "FormatId")
    protected Integer formatId;
    @XmlElement(name = "FormatOwner")
    protected Integer formatOwner;
    @XmlElement(name = "Purpose")
    @XmlSchemaType(name = "string")
    protected BIRPurpose purpose;
    @XmlElement(name = "SensorType")
    @XmlSchemaType(name = "string")
    protected SensorType sensorType;
    @XmlElementRef(name = "Version", namespace = "http://www.nrf-arts.org/UnifiedPOS/Biometrics/", type = JAXBElement.class, required = false)
    protected JAXBElement<UposVersion> version;

    /**
     * biometricDataBlockvpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link byte[]}{@code >}
     *     
     */
    public JAXBElement<byte[]> getBiometricDataBlock() {
        return biometricDataBlock;
    }

    /**
     * biometricDataBlockvpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link byte[]}{@code >}
     *     
     */
    public void setBiometricDataBlock(JAXBElement<byte[]> value) {
        this.biometricDataBlock = value;
    }

    /**
     * biometricDataBlockSizevpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getBiometricDataBlockSize() {
        return biometricDataBlockSize;
    }

    /**
     * biometricDataBlockSizevpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setBiometricDataBlockSize(Integer value) {
        this.biometricDataBlockSize = value;
    }

    /**
     * createdTimevpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCreatedTime() {
        return createdTime;
    }

    /**
     * createdTimevpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCreatedTime(XMLGregorianCalendar value) {
        this.createdTime = value;
    }

    /**
     * dataTypevpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDataType() {
        return dataType;
    }

    /**
     * dataTypevpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDataType(Integer value) {
        this.dataType = value;
    }

    /**
     * formatIdvpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFormatId() {
        return formatId;
    }

    /**
     * formatIdvpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFormatId(Integer value) {
        this.formatId = value;
    }

    /**
     * formatOwnervpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFormatOwner() {
        return formatOwner;
    }

    /**
     * formatOwnervpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFormatOwner(Integer value) {
        this.formatOwner = value;
    }

    /**
     * purposevpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link BIRPurpose }
     *     
     */
    public BIRPurpose getPurpose() {
        return purpose;
    }

    /**
     * purposevpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link BIRPurpose }
     *     
     */
    public void setPurpose(BIRPurpose value) {
        this.purpose = value;
    }

    /**
     * sensorTypevpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link SensorType }
     *     
     */
    public SensorType getSensorType() {
        return sensorType;
    }

    /**
     * sensorTypevpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link SensorType }
     *     
     */
    public void setSensorType(SensorType value) {
        this.sensorType = value;
    }

    /**
     * versionvpeB̒l擾܂B
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link UposVersion }{@code >}
     *     
     */
    public JAXBElement<UposVersion> getVersion() {
        return version;
    }

    /**
     * versionvpeB̒lݒ肵܂B
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link UposVersion }{@code >}
     *     
     */
    public void setVersion(JAXBElement<UposVersion> value) {
        this.version = value;
    }

}
