
package org.nrf_arts.unifiedpos.cat;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.cat package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CATEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "CATEventResponse");
    private final static QName _ErrorLocus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "ErrorLocus");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "PowerState");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "DirectIOData");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "StatusUpdateEventResponse");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "DirectIOEvent");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "StatusUpdateEvent");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "StatisticList");
    private final static QName _OutputCompleteEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "OutputCompleteEventResponse");
    private final static QName _ErrorEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "ErrorEventResponse");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "HealthCheckLevel");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "UposException");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "PowerReporting");
    private final static QName _OutputCompleteEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "OutputCompleteEvent");
    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "DirectIOEventResponse");
    private final static QName _PaymentCondition_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "PaymentCondition");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "PowerNotification");
    private final static QName _ErrorEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "ErrorEvent");
    private final static QName _PaymentMedia_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "PaymentMedia");
    private final static QName _CATEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "CATEvent");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "ErrorCode");
    private final static QName _CATLogs_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "CATLogs");
    private final static QName _DealingLogStatus_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "DealingLogStatus");
    private final static QName _CreditTransactionType_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "CreditTransactionType");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "ControlState");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "CompareFirmwareResult");
    private final static QName _ErrorResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "ErrorResponse");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "UposVersion");
    private final static QName _SetPowerNotifyConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "ConsumerID");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "Value");
    private final static QName _ErrorEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "Source");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "PollForUPOSEventResult");
    private final static QName _CompareFirmwareVersionFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "FirmwareFileName");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "EndpointAddress");
    private final static QName _GetSlipNumberResponseGetSlipNumberResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetSlipNumberResult");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetDeviceControlDescriptionResult");
    private final static QName _DirectIOObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "Obj");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetDeviceControlVersionResult");
    private final static QName _RetrieveStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "StatisticsBuffer");
    private final static QName _GetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "consumerID");
    private final static QName _GetCardCompanyIDResponseGetCardCompanyIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetCardCompanyIDResult");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetWSPOSVersionResult");
    private final static QName _GetAccountNumberResponseGetAccountNumberResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetAccountNumberResult");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "EventResponse");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetDeviceServiceVersionResult");
    private final static QName _GetDailyLogResponseGetDailyLogResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetDailyLogResult");
    private final static QName _GetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetAdditionalSecurityInformationResult");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetDeviceServiceDescriptionResult");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetPhysicalDeviceNameResult");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "RetrieveStatisticsResult");
    private final static QName _GetTransactionNumberResponseGetTransactionNumberResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetTransactionNumberResult");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "DirectIOResult");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetCheckHealthTextResult");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GenerateConsumerIDResult");
    private final static QName _GetCenterResultCodeResponseGetCenterResultCodeResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetCenterResultCodeResult");
    private final static QName _GetPaymentDetailResponseGetPaymentDetailResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetPaymentDetailResult");
    private final static QName _SetAdditionalSecurityInformationAdditionalSecurityInformation_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "AdditionalSecurityInformation");
    private final static QName _GetApprovalCodeResponseGetApprovalCodeResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/CAT/", "GetApprovalCodeResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.cat
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link AccessDailyLog }
     * 
     */
    public AccessDailyLog createAccessDailyLog() {
        return new AccessDailyLog();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link GetSequenceNumberResponse }
     * 
     */
    public GetSequenceNumberResponse createGetSequenceNumberResponse() {
        return new GetSequenceNumberResponse();
    }

    /**
     * Create an instance of {@link GetDailyLog }
     * 
     */
    public GetDailyLog createGetDailyLog() {
        return new GetDailyLog();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link CashDeposit }
     * 
     */
    public CashDeposit createCashDeposit() {
        return new CashDeposit();
    }

    /**
     * Create an instance of {@link GetPaymentDetailResponse }
     * 
     */
    public GetPaymentDetailResponse createGetPaymentDetailResponse() {
        return new GetPaymentDetailResponse();
    }

    /**
     * Create an instance of {@link GetApprovalCodeResponse }
     * 
     */
    public GetApprovalCodeResponse createGetApprovalCodeResponse() {
        return new GetApprovalCodeResponse();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link GetCapAuthorizeVoidPreSalesResponse }
     * 
     */
    public GetCapAuthorizeVoidPreSalesResponse createGetCapAuthorizeVoidPreSalesResponse() {
        return new GetCapAuthorizeVoidPreSalesResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link GetPaymentConditionResponse }
     * 
     */
    public GetPaymentConditionResponse createGetPaymentConditionResponse() {
        return new GetPaymentConditionResponse();
    }

    /**
     * Create an instance of {@link GetPaymentMediaResponse }
     * 
     */
    public GetPaymentMediaResponse createGetPaymentMediaResponse() {
        return new GetPaymentMediaResponse();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link CATEventResponse }
     * 
     */
    public CATEventResponse createCATEventResponse() {
        return new CATEventResponse();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link GetOutputID }
     * 
     */
    public GetOutputID createGetOutputID() {
        return new GetOutputID();
    }

    /**
     * Create an instance of {@link SetTrainingMode }
     * 
     */
    public SetTrainingMode createSetTrainingMode() {
        return new SetTrainingMode();
    }

    /**
     * Create an instance of {@link GetCapCenterResultCode }
     * 
     */
    public GetCapCenterResultCode createGetCapCenterResultCode() {
        return new GetCapCenterResultCode();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link GetLogStatus }
     * 
     */
    public GetLogStatus createGetLogStatus() {
        return new GetLogStatus();
    }

    /**
     * Create an instance of {@link GetTransactionType }
     * 
     */
    public GetTransactionType createGetTransactionType() {
        return new GetTransactionType();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link GetCapTaxOthersResponse }
     * 
     */
    public GetCapTaxOthersResponse createGetCapTaxOthersResponse() {
        return new GetCapTaxOthersResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link CATEvent }
     * 
     */
    public CATEvent createCATEvent() {
        return new CATEvent();
    }

    /**
     * Create an instance of {@link GetCapAuthorizePreSalesResponse }
     * 
     */
    public GetCapAuthorizePreSalesResponse createGetCapAuthorizePreSalesResponse() {
        return new GetCapAuthorizePreSalesResponse();
    }

    /**
     * Create an instance of {@link GetLogStatusResponse }
     * 
     */
    public GetLogStatusResponse createGetLogStatusResponse() {
        return new GetLogStatusResponse();
    }

    /**
     * Create an instance of {@link GetPaymentDetail }
     * 
     */
    public GetPaymentDetail createGetPaymentDetail() {
        return new GetPaymentDetail();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link GetAsyncModeResponse }
     * 
     */
    public GetAsyncModeResponse createGetAsyncModeResponse() {
        return new GetAsyncModeResponse();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link GetCardCompanyID }
     * 
     */
    public GetCardCompanyID createGetCardCompanyID() {
        return new GetCardCompanyID();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link AuthorizePreSalesResponse }
     * 
     */
    public AuthorizePreSalesResponse createAuthorizePreSalesResponse() {
        return new AuthorizePreSalesResponse();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link GetAccountNumber }
     * 
     */
    public GetAccountNumber createGetAccountNumber() {
        return new GetAccountNumber();
    }

    /**
     * Create an instance of {@link GetCapTransactionNumber }
     * 
     */
    public GetCapTransactionNumber createGetCapTransactionNumber() {
        return new GetCapTransactionNumber();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link GetBalance }
     * 
     */
    public GetBalance createGetBalance() {
        return new GetBalance();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link AuthorizeVoidPreSales }
     * 
     */
    public AuthorizeVoidPreSales createAuthorizeVoidPreSales() {
        return new AuthorizeVoidPreSales();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link LockTerminal }
     * 
     */
    public LockTerminal createLockTerminal() {
        return new LockTerminal();
    }

    /**
     * Create an instance of {@link GetCapInstallments }
     * 
     */
    public GetCapInstallments createGetCapInstallments() {
        return new GetCapInstallments();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link GetAsyncMode }
     * 
     */
    public GetAsyncMode createGetAsyncMode() {
        return new GetAsyncMode();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link GetCapCashDeposit }
     * 
     */
    public GetCapCashDeposit createGetCapCashDeposit() {
        return new GetCapCashDeposit();
    }

    /**
     * Create an instance of {@link GetCapInstallmentsResponse }
     * 
     */
    public GetCapInstallmentsResponse createGetCapInstallmentsResponse() {
        return new GetCapInstallmentsResponse();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link GetCapCashDepositResponse }
     * 
     */
    public GetCapCashDepositResponse createGetCapCashDepositResponse() {
        return new GetCapCashDepositResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link AuthorizeVoidResponse }
     * 
     */
    public AuthorizeVoidResponse createAuthorizeVoidResponse() {
        return new AuthorizeVoidResponse();
    }

    /**
     * Create an instance of {@link GetCenterResultCode }
     * 
     */
    public GetCenterResultCode createGetCenterResultCode() {
        return new GetCenterResultCode();
    }

    /**
     * Create an instance of {@link GetCapAdditionalSecurityInformation }
     * 
     */
    public GetCapAdditionalSecurityInformation createGetCapAdditionalSecurityInformation() {
        return new GetCapAdditionalSecurityInformation();
    }

    /**
     * Create an instance of {@link GetCapPaymentDetailResponse }
     * 
     */
    public GetCapPaymentDetailResponse createGetCapPaymentDetailResponse() {
        return new GetCapPaymentDetailResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link SetTrainingModeResponse }
     * 
     */
    public SetTrainingModeResponse createSetTrainingModeResponse() {
        return new SetTrainingModeResponse();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link AuthorizeRefund }
     * 
     */
    public AuthorizeRefund createAuthorizeRefund() {
        return new AuthorizeRefund();
    }

    /**
     * Create an instance of {@link LockTerminalResponse }
     * 
     */
    public LockTerminalResponse createLockTerminalResponse() {
        return new LockTerminalResponse();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetTransactionTypeResponse }
     * 
     */
    public GetTransactionTypeResponse createGetTransactionTypeResponse() {
        return new GetTransactionTypeResponse();
    }

    /**
     * Create an instance of {@link AuthorizeCompletionResponse }
     * 
     */
    public AuthorizeCompletionResponse createAuthorizeCompletionResponse() {
        return new AuthorizeCompletionResponse();
    }

    /**
     * Create an instance of {@link AuthorizeVoidPreSalesResponse }
     * 
     */
    public AuthorizeVoidPreSalesResponse createAuthorizeVoidPreSalesResponse() {
        return new AuthorizeVoidPreSalesResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link GetSlipNumberResponse }
     * 
     */
    public GetSlipNumberResponse createGetSlipNumberResponse() {
        return new GetSlipNumberResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link AuthorizePreSales }
     * 
     */
    public AuthorizePreSales createAuthorizePreSales() {
        return new AuthorizePreSales();
    }

    /**
     * Create an instance of {@link GetCapLockTerminal }
     * 
     */
    public GetCapLockTerminal createGetCapLockTerminal() {
        return new GetCapLockTerminal();
    }

    /**
     * Create an instance of {@link SetPaymentMediaResponse }
     * 
     */
    public SetPaymentMediaResponse createSetPaymentMediaResponse() {
        return new SetPaymentMediaResponse();
    }

    /**
     * Create an instance of {@link SetAdditionalSecurityInformation }
     * 
     */
    public SetAdditionalSecurityInformation createSetAdditionalSecurityInformation() {
        return new SetAdditionalSecurityInformation();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link GetTrainingModeResponse }
     * 
     */
    public GetTrainingModeResponse createGetTrainingModeResponse() {
        return new GetTrainingModeResponse();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetBalanceResponse }
     * 
     */
    public GetBalanceResponse createGetBalanceResponse() {
        return new GetBalanceResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link CashDepositResponse }
     * 
     */
    public CashDepositResponse createCashDepositResponse() {
        return new CashDepositResponse();
    }

    /**
     * Create an instance of {@link GetAccountNumberResponse }
     * 
     */
    public GetAccountNumberResponse createGetAccountNumberResponse() {
        return new GetAccountNumberResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link GetCapLogStatus }
     * 
     */
    public GetCapLogStatus createGetCapLogStatus() {
        return new GetCapLogStatus();
    }

    /**
     * Create an instance of {@link CheckCard }
     * 
     */
    public CheckCard createCheckCard() {
        return new CheckCard();
    }

    /**
     * Create an instance of {@link GetPaymentMedia }
     * 
     */
    public GetPaymentMedia createGetPaymentMedia() {
        return new GetPaymentMedia();
    }

    /**
     * Create an instance of {@link GetCapPaymentDetail }
     * 
     */
    public GetCapPaymentDetail createGetCapPaymentDetail() {
        return new GetCapPaymentDetail();
    }

    /**
     * Create an instance of {@link GetCapAuthorizePreSales }
     * 
     */
    public GetCapAuthorizePreSales createGetCapAuthorizePreSales() {
        return new GetCapAuthorizePreSales();
    }

    /**
     * Create an instance of {@link AuthorizeRefundResponse }
     * 
     */
    public AuthorizeRefundResponse createAuthorizeRefundResponse() {
        return new AuthorizeRefundResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetCapAdditionalSecurityInformationResponse }
     * 
     */
    public GetCapAdditionalSecurityInformationResponse createGetCapAdditionalSecurityInformationResponse() {
        return new GetCapAdditionalSecurityInformationResponse();
    }

    /**
     * Create an instance of {@link OutputCompleteEvent }
     * 
     */
    public OutputCompleteEvent createOutputCompleteEvent() {
        return new OutputCompleteEvent();
    }

    /**
     * Create an instance of {@link GetCardCompanyIDResponse }
     * 
     */
    public GetCardCompanyIDResponse createGetCardCompanyIDResponse() {
        return new GetCardCompanyIDResponse();
    }

    /**
     * Create an instance of {@link GetCapDailyLogResponse }
     * 
     */
    public GetCapDailyLogResponse createGetCapDailyLogResponse() {
        return new GetCapDailyLogResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link GetCapAuthorizeRefund }
     * 
     */
    public GetCapAuthorizeRefund createGetCapAuthorizeRefund() {
        return new GetCapAuthorizeRefund();
    }

    /**
     * Create an instance of {@link GetCapLockTerminalResponse }
     * 
     */
    public GetCapLockTerminalResponse createGetCapLockTerminalResponse() {
        return new GetCapLockTerminalResponse();
    }

    /**
     * Create an instance of {@link GetAdditionalSecurityInformation }
     * 
     */
    public GetAdditionalSecurityInformation createGetAdditionalSecurityInformation() {
        return new GetAdditionalSecurityInformation();
    }

    /**
     * Create an instance of {@link GetSettledAmount }
     * 
     */
    public GetSettledAmount createGetSettledAmount() {
        return new GetSettledAmount();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetCenterResultCodeResponse }
     * 
     */
    public GetCenterResultCodeResponse createGetCenterResultCodeResponse() {
        return new GetCenterResultCodeResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetCapTrainingMode }
     * 
     */
    public GetCapTrainingMode createGetCapTrainingMode() {
        return new GetCapTrainingMode();
    }

    /**
     * Create an instance of {@link GetAdditionalSecurityInformationResponse }
     * 
     */
    public GetAdditionalSecurityInformationResponse createGetAdditionalSecurityInformationResponse() {
        return new GetAdditionalSecurityInformationResponse();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link GetCapUnlockTerminalResponse }
     * 
     */
    public GetCapUnlockTerminalResponse createGetCapUnlockTerminalResponse() {
        return new GetCapUnlockTerminalResponse();
    }

    /**
     * Create an instance of {@link UnlockTerminalResponse }
     * 
     */
    public UnlockTerminalResponse createUnlockTerminalResponse() {
        return new UnlockTerminalResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link ErrorEvent }
     * 
     */
    public ErrorEvent createErrorEvent() {
        return new ErrorEvent();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link GetCapAuthorizeVoidResponse }
     * 
     */
    public GetCapAuthorizeVoidResponse createGetCapAuthorizeVoidResponse() {
        return new GetCapAuthorizeVoidResponse();
    }

    /**
     * Create an instance of {@link UnlockTerminal }
     * 
     */
    public UnlockTerminal createUnlockTerminal() {
        return new UnlockTerminal();
    }

    /**
     * Create an instance of {@link CheckCardResponse }
     * 
     */
    public CheckCardResponse createCheckCardResponse() {
        return new CheckCardResponse();
    }

    /**
     * Create an instance of {@link SetAsyncModeResponse }
     * 
     */
    public SetAsyncModeResponse createSetAsyncModeResponse() {
        return new SetAsyncModeResponse();
    }

    /**
     * Create an instance of {@link GetTrainingMode }
     * 
     */
    public GetTrainingMode createGetTrainingMode() {
        return new GetTrainingMode();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link GetCapTaxOthers }
     * 
     */
    public GetCapTaxOthers createGetCapTaxOthers() {
        return new GetCapTaxOthers();
    }

    /**
     * Create an instance of {@link GetCapAuthorizeCompletionResponse }
     * 
     */
    public GetCapAuthorizeCompletionResponse createGetCapAuthorizeCompletionResponse() {
        return new GetCapAuthorizeCompletionResponse();
    }

    /**
     * Create an instance of {@link SetAdditionalSecurityInformationResponse }
     * 
     */
    public SetAdditionalSecurityInformationResponse createSetAdditionalSecurityInformationResponse() {
        return new SetAdditionalSecurityInformationResponse();
    }

    /**
     * Create an instance of {@link GetTransactionNumberResponse }
     * 
     */
    public GetTransactionNumberResponse createGetTransactionNumberResponse() {
        return new GetTransactionNumberResponse();
    }

    /**
     * Create an instance of {@link ErrorEventResponse }
     * 
     */
    public ErrorEventResponse createErrorEventResponse() {
        return new ErrorEventResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link GetDailyLogResponse }
     * 
     */
    public GetDailyLogResponse createGetDailyLogResponse() {
        return new GetDailyLogResponse();
    }

    /**
     * Create an instance of {@link GetCapAuthorizeVoid }
     * 
     */
    public GetCapAuthorizeVoid createGetCapAuthorizeVoid() {
        return new GetCapAuthorizeVoid();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link ClearOutput }
     * 
     */
    public ClearOutput createClearOutput() {
        return new ClearOutput();
    }

    /**
     * Create an instance of {@link GetTransactionNumber }
     * 
     */
    public GetTransactionNumber createGetTransactionNumber() {
        return new GetTransactionNumber();
    }

    /**
     * Create an instance of {@link GetCapCenterResultCodeResponse }
     * 
     */
    public GetCapCenterResultCodeResponse createGetCapCenterResultCodeResponse() {
        return new GetCapCenterResultCodeResponse();
    }

    /**
     * Create an instance of {@link GetCapCheckCardResponse }
     * 
     */
    public GetCapCheckCardResponse createGetCapCheckCardResponse() {
        return new GetCapCheckCardResponse();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetCapAuthorizeRefundResponse }
     * 
     */
    public GetCapAuthorizeRefundResponse createGetCapAuthorizeRefundResponse() {
        return new GetCapAuthorizeRefundResponse();
    }

    /**
     * Create an instance of {@link AccessDailyLogResponse }
     * 
     */
    public AccessDailyLogResponse createAccessDailyLogResponse() {
        return new AccessDailyLogResponse();
    }

    /**
     * Create an instance of {@link AuthorizeCompletion }
     * 
     */
    public AuthorizeCompletion createAuthorizeCompletion() {
        return new AuthorizeCompletion();
    }

    /**
     * Create an instance of {@link GetCapLogStatusResponse }
     * 
     */
    public GetCapLogStatusResponse createGetCapLogStatusResponse() {
        return new GetCapLogStatusResponse();
    }

    /**
     * Create an instance of {@link GetCapAuthorizeCompletion }
     * 
     */
    public GetCapAuthorizeCompletion createGetCapAuthorizeCompletion() {
        return new GetCapAuthorizeCompletion();
    }

    /**
     * Create an instance of {@link ClearOutputResponse }
     * 
     */
    public ClearOutputResponse createClearOutputResponse() {
        return new ClearOutputResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link SetPaymentMedia }
     * 
     */
    public SetPaymentMedia createSetPaymentMedia() {
        return new SetPaymentMedia();
    }

    /**
     * Create an instance of {@link GetCapTrainingModeResponse }
     * 
     */
    public GetCapTrainingModeResponse createGetCapTrainingModeResponse() {
        return new GetCapTrainingModeResponse();
    }

    /**
     * Create an instance of {@link GetCapAuthorizeVoidPreSales }
     * 
     */
    public GetCapAuthorizeVoidPreSales createGetCapAuthorizeVoidPreSales() {
        return new GetCapAuthorizeVoidPreSales();
    }

    /**
     * Create an instance of {@link AuthorizeVoid }
     * 
     */
    public AuthorizeVoid createAuthorizeVoid() {
        return new AuthorizeVoid();
    }

    /**
     * Create an instance of {@link OutputCompleteEventResponse }
     * 
     */
    public OutputCompleteEventResponse createOutputCompleteEventResponse() {
        return new OutputCompleteEventResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetCapUnlockTerminal }
     * 
     */
    public GetCapUnlockTerminal createGetCapUnlockTerminal() {
        return new GetCapUnlockTerminal();
    }

    /**
     * Create an instance of {@link AuthorizeSales }
     * 
     */
    public AuthorizeSales createAuthorizeSales() {
        return new AuthorizeSales();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link GetPaymentCondition }
     * 
     */
    public GetPaymentCondition createGetPaymentCondition() {
        return new GetPaymentCondition();
    }

    /**
     * Create an instance of {@link SetAsyncMode }
     * 
     */
    public SetAsyncMode createSetAsyncMode() {
        return new SetAsyncMode();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link GetCapTransactionNumberResponse }
     * 
     */
    public GetCapTransactionNumberResponse createGetCapTransactionNumberResponse() {
        return new GetCapTransactionNumberResponse();
    }

    /**
     * Create an instance of {@link GetSequenceNumber }
     * 
     */
    public GetSequenceNumber createGetSequenceNumber() {
        return new GetSequenceNumber();
    }

    /**
     * Create an instance of {@link AuthorizeSalesResponse }
     * 
     */
    public AuthorizeSalesResponse createAuthorizeSalesResponse() {
        return new AuthorizeSalesResponse();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link GetSlipNumber }
     * 
     */
    public GetSlipNumber createGetSlipNumber() {
        return new GetSlipNumber();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetApprovalCode }
     * 
     */
    public GetApprovalCode createGetApprovalCode() {
        return new GetApprovalCode();
    }

    /**
     * Create an instance of {@link GetCapCheckCard }
     * 
     */
    public GetCapCheckCard createGetCapCheckCard() {
        return new GetCapCheckCard();
    }

    /**
     * Create an instance of {@link GetSettledAmountResponse }
     * 
     */
    public GetSettledAmountResponse createGetSettledAmountResponse() {
        return new GetSettledAmountResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetCapDailyLog }
     * 
     */
    public GetCapDailyLog createGetCapDailyLog() {
        return new GetCapDailyLog();
    }

    /**
     * Create an instance of {@link GetOutputIDResponse }
     * 
     */
    public GetOutputIDResponse createGetOutputIDResponse() {
        return new GetOutputIDResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CATEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "CATEventResponse")
    public JAXBElement<CATEventResponse> createCATEventResponse(CATEventResponse value) {
        return new JAXBElement<CATEventResponse>(_CATEventResponse_QNAME, CATEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorLocus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ErrorLocus")
    public JAXBElement<ErrorLocus> createErrorLocus(ErrorLocus value) {
        return new JAXBElement<ErrorLocus>(_ErrorLocus_QNAME, ErrorLocus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "OutputCompleteEventResponse")
    public JAXBElement<OutputCompleteEventResponse> createOutputCompleteEventResponse(OutputCompleteEventResponse value) {
        return new JAXBElement<OutputCompleteEventResponse>(_OutputCompleteEventResponse_QNAME, OutputCompleteEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ErrorEventResponse")
    public JAXBElement<ErrorEventResponse> createErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "OutputCompleteEvent")
    public JAXBElement<OutputCompleteEvent> createOutputCompleteEvent(OutputCompleteEvent value) {
        return new JAXBElement<OutputCompleteEvent>(_OutputCompleteEvent_QNAME, OutputCompleteEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PaymentCondition }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "PaymentCondition")
    public JAXBElement<PaymentCondition> createPaymentCondition(PaymentCondition value) {
        return new JAXBElement<PaymentCondition>(_PaymentCondition_QNAME, PaymentCondition.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ErrorEvent")
    public JAXBElement<ErrorEvent> createErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PaymentMedia }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "PaymentMedia")
    public JAXBElement<PaymentMedia> createPaymentMedia(PaymentMedia value) {
        return new JAXBElement<PaymentMedia>(_PaymentMedia_QNAME, PaymentMedia.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CATEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "CATEvent")
    public JAXBElement<CATEvent> createCATEvent(CATEvent value) {
        return new JAXBElement<CATEvent>(_CATEvent_QNAME, CATEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CATLogs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "CATLogs")
    public JAXBElement<CATLogs> createCATLogs(CATLogs value) {
        return new JAXBElement<CATLogs>(_CATLogs_QNAME, CATLogs.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DealingLogStatus }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "DealingLogStatus")
    public JAXBElement<DealingLogStatus> createDealingLogStatus(DealingLogStatus value) {
        return new JAXBElement<DealingLogStatus>(_DealingLogStatus_QNAME, DealingLogStatus.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreditTransactionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "CreditTransactionType")
    public JAXBElement<CreditTransactionType> createCreditTransactionType(CreditTransactionType value) {
        return new JAXBElement<CreditTransactionType>(_CreditTransactionType_QNAME, CreditTransactionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ErrorResponse")
    public JAXBElement<ErrorResponse> createErrorResponse(ErrorResponse value) {
        return new JAXBElement<ErrorResponse>(_ErrorResponse_QNAME, ErrorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Source", scope = ErrorEvent.class)
    public JAXBElement<String> createErrorEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, ErrorEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CATEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<CATEvent> createPollForUPOSEventResponsePollForUPOSEventResult(CATEvent value) {
        return new JAXBElement<CATEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, CATEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetAccountNumber.class)
    public JAXBElement<String> createGetAccountNumberConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetAccountNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapUnlockTerminal.class)
    public JAXBElement<String> createGetCapUnlockTerminalConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapUnlockTerminal.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = AuthorizeCompletion.class)
    public JAXBElement<String> createAuthorizeCompletionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, AuthorizeCompletion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetSlipNumber.class)
    public JAXBElement<String> createGetSlipNumberConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetSlipNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapInstallments.class)
    public JAXBElement<String> createGetCapInstallmentsConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapInstallments.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = UnlockTerminal.class)
    public JAXBElement<String> createUnlockTerminalConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, UnlockTerminal.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetPaymentCondition.class)
    public JAXBElement<String> createGetPaymentConditionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetPaymentCondition.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = AuthorizeSales.class)
    public JAXBElement<String> createAuthorizeSalesConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, AuthorizeSales.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetSettledAmount.class)
    public JAXBElement<String> createGetSettledAmountConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetSettledAmount.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetSlipNumberResult", scope = GetSlipNumberResponse.class)
    public JAXBElement<String> createGetSlipNumberResponseGetSlipNumberResult(String value) {
        return new JAXBElement<String>(_GetSlipNumberResponseGetSlipNumberResult_QNAME, String.class, GetSlipNumberResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapAuthorizeVoid.class)
    public JAXBElement<String> createGetCapAuthorizeVoidConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapAuthorizeVoid.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = CheckCard.class)
    public JAXBElement<String> createCheckCardConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, CheckCard.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapAuthorizeVoidPreSales.class)
    public JAXBElement<String> createGetCapAuthorizeVoidPreSalesConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapAuthorizeVoidPreSales.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapLockTerminal.class)
    public JAXBElement<String> createGetCapLockTerminalConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapLockTerminal.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapTaxOthers.class)
    public JAXBElement<String> createGetCapTaxOthersConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapTaxOthers.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapCenterResultCode.class)
    public JAXBElement<String> createGetCapCenterResultCodeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapCenterResultCode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapAuthorizeRefund.class)
    public JAXBElement<String> createGetCapAuthorizeRefundConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapAuthorizeRefund.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapTrainingMode.class)
    public JAXBElement<String> createGetCapTrainingModeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapTrainingMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapAdditionalSecurityInformation.class)
    public JAXBElement<String> createGetCapAdditionalSecurityInformationConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapAdditionalSecurityInformation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapAuthorizePreSales.class)
    public JAXBElement<String> createGetCapAuthorizePreSalesConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapAuthorizePreSales.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetLogStatus.class)
    public JAXBElement<String> createGetLogStatusConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetLogStatus.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetApprovalCode.class)
    public JAXBElement<String> createGetApprovalCodeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetApprovalCode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetTransactionType.class)
    public JAXBElement<String> createGetTransactionTypeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetTransactionType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapCashDeposit.class)
    public JAXBElement<String> createGetCapCashDepositConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapCashDeposit.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = AuthorizePreSales.class)
    public JAXBElement<String> createAuthorizePreSalesConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, AuthorizePreSales.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetPaymentDetail.class)
    public JAXBElement<String> createGetPaymentDetailConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetPaymentDetail.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = SetTrainingMode.class)
    public JAXBElement<String> createSetTrainingModeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, SetTrainingMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_CompareFirmwareVersionFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetOutputID.class)
    public JAXBElement<String> createGetOutputIDConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetOutputID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCenterResultCode.class)
    public JAXBElement<String> createGetCenterResultCodeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCenterResultCode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = AuthorizeVoid.class)
    public JAXBElement<String> createAuthorizeVoidConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, AuthorizeVoid.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetCardCompanyIDResult", scope = GetCardCompanyIDResponse.class)
    public JAXBElement<String> createGetCardCompanyIDResponseGetCardCompanyIDResult(String value) {
        return new JAXBElement<String>(_GetCardCompanyIDResponseGetCardCompanyIDResult_QNAME, String.class, GetCardCompanyIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCardCompanyID.class)
    public JAXBElement<String> createGetCardCompanyIDConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCardCompanyID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapAuthorizeCompletion.class)
    public JAXBElement<String> createGetCapAuthorizeCompletionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapAuthorizeCompletion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetAdditionalSecurityInformation.class)
    public JAXBElement<String> createGetAdditionalSecurityInformationConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetAdditionalSecurityInformation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetAccountNumberResult", scope = GetAccountNumberResponse.class)
    public JAXBElement<String> createGetAccountNumberResponseGetAccountNumberResult(String value) {
        return new JAXBElement<String>(_GetAccountNumberResponseGetAccountNumberResult_QNAME, String.class, GetAccountNumberResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CATEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<CATEventResponse> createSetEventResponseEventResponse(CATEventResponse value) {
        return new JAXBElement<CATEventResponse>(_SetEventResponseEventResponse_QNAME, CATEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetDailyLogResult", scope = GetDailyLogResponse.class)
    public JAXBElement<String> createGetDailyLogResponseGetDailyLogResult(String value) {
        return new JAXBElement<String>(_GetDailyLogResponseGetDailyLogResult_QNAME, String.class, GetDailyLogResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetAdditionalSecurityInformationResult", scope = GetAdditionalSecurityInformationResponse.class)
    public JAXBElement<String> createGetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult(String value) {
        return new JAXBElement<String>(_GetAdditionalSecurityInformationResponseGetAdditionalSecurityInformationResult_QNAME, String.class, GetAdditionalSecurityInformationResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = SetPaymentMedia.class)
    public JAXBElement<String> createSetPaymentMediaConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, SetPaymentMedia.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = ClearOutput.class)
    public JAXBElement<String> createClearOutputConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, ClearOutput.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapCheckCard.class)
    public JAXBElement<String> createGetCapCheckCardConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapCheckCard.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Source", scope = OutputCompleteEvent.class)
    public JAXBElement<String> createOutputCompleteEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, OutputCompleteEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "StatusUpdateEventResponse", scope = CATEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createCATEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, CATEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "DirectIOEventResponse", scope = CATEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createCATEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, CATEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "OutputCompleteEventResponse", scope = CATEventResponse.class)
    public JAXBElement<OutputCompleteEventResponse> createCATEventResponseOutputCompleteEventResponse(OutputCompleteEventResponse value) {
        return new JAXBElement<OutputCompleteEventResponse>(_OutputCompleteEventResponse_QNAME, OutputCompleteEventResponse.class, CATEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ErrorEventResponse", scope = CATEventResponse.class)
    public JAXBElement<ErrorEventResponse> createCATEventResponseErrorEventResponse(ErrorEventResponse value) {
        return new JAXBElement<ErrorEventResponse>(_ErrorEventResponse_QNAME, ErrorEventResponse.class, CATEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapPaymentDetail.class)
    public JAXBElement<String> createGetCapPaymentDetailConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapPaymentDetail.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetTransactionNumberResult", scope = GetTransactionNumberResponse.class)
    public JAXBElement<String> createGetTransactionNumberResponseGetTransactionNumberResult(String value) {
        return new JAXBElement<String>(_GetTransactionNumberResponseGetTransactionNumberResult_QNAME, String.class, GetTransactionNumberResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_RetrieveStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_ErrorEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "DirectIOEvent", scope = CATEvent.class)
    public JAXBElement<DirectIOEvent> createCATEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, CATEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ErrorEvent", scope = CATEvent.class)
    public JAXBElement<ErrorEvent> createCATEventErrorEvent(ErrorEvent value) {
        return new JAXBElement<ErrorEvent>(_ErrorEvent_QNAME, ErrorEvent.class, CATEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OutputCompleteEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "OutputCompleteEvent", scope = CATEvent.class)
    public JAXBElement<OutputCompleteEvent> createCATEventOutputCompleteEvent(OutputCompleteEvent value) {
        return new JAXBElement<OutputCompleteEvent>(_OutputCompleteEvent_QNAME, OutputCompleteEvent.class, CATEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "StatusUpdateEvent", scope = CATEvent.class)
    public JAXBElement<StatusUpdateEvent> createCATEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, CATEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = AuthorizeRefund.class)
    public JAXBElement<String> createAuthorizeRefundConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, AuthorizeRefund.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = LockTerminal.class)
    public JAXBElement<String> createLockTerminalConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, LockTerminal.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetBalance.class)
    public JAXBElement<String> createGetBalanceConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetBalance.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = SetAsyncMode.class)
    public JAXBElement<String> createSetAsyncModeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, SetAsyncMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = CashDeposit.class)
    public JAXBElement<String> createCashDepositConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, CashDeposit.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetCenterResultCodeResult", scope = GetCenterResultCodeResponse.class)
    public JAXBElement<String> createGetCenterResultCodeResponseGetCenterResultCodeResult(String value) {
        return new JAXBElement<String>(_GetCenterResultCodeResponseGetCenterResultCodeResult_QNAME, String.class, GetCenterResultCodeResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_GetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetTransactionNumber.class)
    public JAXBElement<String> createGetTransactionNumberConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetTransactionNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetDailyLog.class)
    public JAXBElement<String> createGetDailyLogConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetDailyLog.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapLogStatus.class)
    public JAXBElement<String> createGetCapLogStatusConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapLogStatus.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = AccessDailyLog.class)
    public JAXBElement<String> createAccessDailyLogConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, AccessDailyLog.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetAsyncMode.class)
    public JAXBElement<String> createGetAsyncModeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetAsyncMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetTrainingMode.class)
    public JAXBElement<String> createGetTrainingModeConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetTrainingMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapTransactionNumber.class)
    public JAXBElement<String> createGetCapTransactionNumberConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapTransactionNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetPaymentDetailResult", scope = GetPaymentDetailResponse.class)
    public JAXBElement<String> createGetPaymentDetailResponseGetPaymentDetailResult(String value) {
        return new JAXBElement<String>(_GetPaymentDetailResponseGetPaymentDetailResult_QNAME, String.class, GetPaymentDetailResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = SetAdditionalSecurityInformation.class)
    public JAXBElement<String> createSetAdditionalSecurityInformationConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, SetAdditionalSecurityInformation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "AdditionalSecurityInformation", scope = SetAdditionalSecurityInformation.class)
    public JAXBElement<String> createSetAdditionalSecurityInformationAdditionalSecurityInformation(String value) {
        return new JAXBElement<String>(_SetAdditionalSecurityInformationAdditionalSecurityInformation_QNAME, String.class, SetAdditionalSecurityInformation.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapDailyLog.class)
    public JAXBElement<String> createGetCapDailyLogConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapDailyLog.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = AuthorizeVoidPreSales.class)
    public JAXBElement<String> createAuthorizeVoidPreSalesConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, AuthorizeVoidPreSales.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "GetApprovalCodeResult", scope = GetApprovalCodeResponse.class)
    public JAXBElement<String> createGetApprovalCodeResponseGetApprovalCodeResult(String value) {
        return new JAXBElement<String>(_GetApprovalCodeResponseGetApprovalCodeResult_QNAME, String.class, GetApprovalCodeResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetSequenceNumber.class)
    public JAXBElement<String> createGetSequenceNumberConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetSequenceNumber.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetPaymentMedia.class)
    public JAXBElement<String> createGetPaymentMediaConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetPaymentMedia.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/CAT/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetPowerNotifyConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

}
