
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalDataJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalData">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FPTR_GD_FIRMWARE"/>
 *     &lt;enumeration value="FPTR_GD_PRINTER_ID"/>
 *     &lt;enumeration value="FPTR_GD_CURRENT_TOTAL"/>
 *     &lt;enumeration value="FPTR_GD_DAILY_TOTAL"/>
 *     &lt;enumeration value="FPTR_GD_GRAND_TOTAL"/>
 *     &lt;enumeration value="FPTR_GD_MID_VOID"/>
 *     &lt;enumeration value="FPTR_GD_NOT_PAID"/>
 *     &lt;enumeration value="FPTR_GD_RECEIPT_NUMBER"/>
 *     &lt;enumeration value="FPTR_GD_REFUND"/>
 *     &lt;enumeration value="FPTR_GD_REFUND_VOID"/>
 *     &lt;enumeration value="FPTR_GD_NUMB_CONFIG_BLOCK"/>
 *     &lt;enumeration value="FPTR_GD_NUMB_CURRENCY_BLOCK"/>
 *     &lt;enumeration value="FPTR_GD_NUMB_HDR_BLOCK"/>
 *     &lt;enumeration value="FPTR_GD_NUMB_RESET_BLOCK"/>
 *     &lt;enumeration value="FPTR_GD_NUMB_VAT_BLOCK"/>
 *     &lt;enumeration value="FPTR_GD_FISCAL_DOC"/>
 *     &lt;enumeration value="FPTR_GD_FISCAL_DOC_VOID"/>
 *     &lt;enumeration value="FPTR_GD_FISCAL_REC"/>
 *     &lt;enumeration value="FPTR_GD_FISCAL_REC_VOID"/>
 *     &lt;enumeration value="FPTR_GD_NONFISCAL_DOC"/>
 *     &lt;enumeration value="FPTR_GD_NONFISCAL_DOC_VOID"/>
 *     &lt;enumeration value="FPTR_GD_NONFISCAL_REC"/>
 *     &lt;enumeration value="FPTR_GD_RESTART"/>
 *     &lt;enumeration value="FPTR_GD_SIMP_INVOICE"/>
 *     &lt;enumeration value="FPTR_GD_Z_REPORT"/>
 *     &lt;enumeration value="FPTR_GD_TENDER"/>
 *     &lt;enumeration value="FPTR_GD_LINECOUNT"/>
 *     &lt;enumeration value="FPTR_GD_DESCRIPTION_LENGTH"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalData")
@XmlEnum
public enum FiscalData {

    FPTR_GD_FIRMWARE,
    FPTR_GD_PRINTER_ID,
    FPTR_GD_CURRENT_TOTAL,
    FPTR_GD_DAILY_TOTAL,
    FPTR_GD_GRAND_TOTAL,
    FPTR_GD_MID_VOID,
    FPTR_GD_NOT_PAID,
    FPTR_GD_RECEIPT_NUMBER,
    FPTR_GD_REFUND,
    FPTR_GD_REFUND_VOID,
    FPTR_GD_NUMB_CONFIG_BLOCK,
    FPTR_GD_NUMB_CURRENCY_BLOCK,
    FPTR_GD_NUMB_HDR_BLOCK,
    FPTR_GD_NUMB_RESET_BLOCK,
    FPTR_GD_NUMB_VAT_BLOCK,
    FPTR_GD_FISCAL_DOC,
    FPTR_GD_FISCAL_DOC_VOID,
    FPTR_GD_FISCAL_REC,
    FPTR_GD_FISCAL_REC_VOID,
    FPTR_GD_NONFISCAL_DOC,
    FPTR_GD_NONFISCAL_DOC_VOID,
    FPTR_GD_NONFISCAL_REC,
    FPTR_GD_RESTART,
    FPTR_GD_SIMP_INVOICE,
    FPTR_GD_Z_REPORT,
    FPTR_GD_TENDER,
    FPTR_GD_LINECOUNT,
    FPTR_GD_DESCRIPTION_LENGTH;

    public String value() {
        return name();
    }

    public static FiscalData fromValue(String v) {
        return valueOf(v);
    }

}
