
package org.nrf_arts.unifiedpos.fiscalprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>FiscalErrorLevelJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="FiscalErrorLevel">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FPTR_EL_NONE"/>
 *     &lt;enumeration value="FPTR_EL_RECOVERABLE"/>
 *     &lt;enumeration value="FPTR_EL_FATAL"/>
 *     &lt;enumeration value="FPTR_EL_BLOCKED"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "FiscalErrorLevel")
@XmlEnum
public enum FiscalErrorLevel {

    FPTR_EL_NONE,
    FPTR_EL_RECOVERABLE,
    FPTR_EL_FATAL,
    FPTR_EL_BLOCKED;

    public String value() {
        return name();
    }

    public static FiscalErrorLevel fromValue(String v) {
        return valueOf(v);
    }

}
