
package org.nrf_arts.unifiedpos.linedisplay;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.nrf_arts.unifiedpos.linedisplay package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DirectIOEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DirectIOEventResponse");
    private final static QName _DisplayReadBack_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayReadBack");
    private final static QName _DisplayReverse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayReverse");
    private final static QName _PowerNotification_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "PowerNotification");
    private final static QName _CustomGlyphList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "CustomGlyphList");
    private final static QName _LineDisplayEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "LineDisplayEvent");
    private final static QName _DisplaySetDescriptor_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplaySetDescriptor");
    private final static QName _PowerReporting_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "PowerReporting");
    private final static QName _Statistic_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "Statistic");
    private final static QName _StatusUpdateEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "StatusUpdateEvent");
    private final static QName _StatisticList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "StatisticList");
    private final static QName _HealthCheckLevel_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "HealthCheckLevel");
    private final static QName _UposException_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "UposException");
    private final static QName _CharacterSetList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "CharacterSetList");
    private final static QName _DisplayScrollText_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayScrollText");
    private final static QName _PowerState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "PowerState");
    private final static QName _DirectIOData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DirectIOData");
    private final static QName _StatusUpdateEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "StatusUpdateEventResponse");
    private final static QName _DisplayMarqueeType_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayMarqueeType");
    private final static QName _DirectIOEvent_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DirectIOEvent");
    private final static QName _DisplayScreenMode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayScreenMode");
    private final static QName _CharacterSetCapability_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "CharacterSetCapability");
    private final static QName _DisplayScreenModeList_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayScreenModeList");
    private final static QName _DisplayMarqueeFormat_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayMarqueeFormat");
    private final static QName _DisplayBlink_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayBlink");
    private final static QName _CompareFirmwareResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "CompareFirmwareResult");
    private final static QName _UposVersion_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "UposVersion");
    private final static QName _LineDisplayEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "LineDisplayEventResponse");
    private final static QName _ControlState_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "ControlState");
    private final static QName _DisplayTextMode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DisplayTextMode");
    private final static QName _RangeOfCharacters_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "RangeOfCharacters");
    private final static QName _ErrorCode_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "ErrorCode");
    private final static QName _SetCursorRowConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "ConsumerID");
    private final static QName _GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetDeviceServiceDescriptionResult");
    private final static QName _GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetPhysicalDeviceNameResult");
    private final static QName _StatisticName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "Name");
    private final static QName _StatisticValue_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "Value");
    private final static QName _GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GenerateConsumerIDResult");
    private final static QName _GetCharacterSetListResponseGetCharacterSetListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetCharacterSetListResult");
    private final static QName _UpdateStatisticsStatisticsBuffer_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "StatisticsBuffer");
    private final static QName _SetBitmapFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "FileName");
    private final static QName _DirectIOResponseDirectIOResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "DirectIOResult");
    private final static QName _GetCustomGlyphListResponseGetCustomGlyphListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetCustomGlyphListResult");
    private final static QName _DirectIOEventObj_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "Obj");
    private final static QName _DirectIOEventSource_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "Source");
    private final static QName _GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetEncryptedClaimedConsumerIDResult");
    private final static QName _SetBinaryConversionConsumerID_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "consumerID");
    private final static QName _SetEventResponseEventResponse_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "EventResponse");
    private final static QName _DisplayTextData_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "Data");
    private final static QName _RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "RetrieveStatisticsResult");
    private final static QName _GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetDeviceControlDescriptionResult");
    private final static QName _GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetDeviceControlVersionResult");
    private final static QName _GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetPhysicalDeviceDescriptionResult");
    private final static QName _UpdateFirmwareFirmwareFileName_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "FirmwareFileName");
    private final static QName _PollForUPOSEventResponsePollForUPOSEventResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "PollForUPOSEventResult");
    private final static QName _GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetCheckHealthTextResult");
    private final static QName _GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetDeviceServiceVersionResult");
    private final static QName _GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetWSPOSVersionResult");
    private final static QName _DefineGlyphGlyph_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "Glyph");
    private final static QName _GetScreenModeListResponseGetScreenModeListResult_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "GetScreenModeListResult");
    private final static QName _OpenSessionEndpointAddress_QNAME = new QName("http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", "EndpointAddress");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.nrf_arts.unifiedpos.linedisplay
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetInterCharacterWaitResponse }
     * 
     */
    public GetInterCharacterWaitResponse createGetInterCharacterWaitResponse() {
        return new GetInterCharacterWaitResponse();
    }

    /**
     * Create an instance of {@link GetPowerNotify }
     * 
     */
    public GetPowerNotify createGetPowerNotify() {
        return new GetPowerNotify();
    }

    /**
     * Create an instance of {@link GetDeviceColumns }
     * 
     */
    public GetDeviceColumns createGetDeviceColumns() {
        return new GetDeviceColumns();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersion }
     * 
     */
    public GetDeviceServiceVersion createGetDeviceServiceVersion() {
        return new GetDeviceServiceVersion();
    }

    /**
     * Create an instance of {@link UpdateFirmwareResponse }
     * 
     */
    public UpdateFirmwareResponse createUpdateFirmwareResponse() {
        return new UpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link GetCapScreenMode }
     * 
     */
    public GetCapScreenMode createGetCapScreenMode() {
        return new GetCapScreenMode();
    }

    /**
     * Create an instance of {@link UposException }
     * 
     */
    public UposException createUposException() {
        return new UposException();
    }

    /**
     * Create an instance of {@link SetCharacterSet }
     * 
     */
    public SetCharacterSet createSetCharacterSet() {
        return new SetCharacterSet();
    }

    /**
     * Create an instance of {@link GetMarqueeFormat }
     * 
     */
    public GetMarqueeFormat createGetMarqueeFormat() {
        return new GetMarqueeFormat();
    }

    /**
     * Create an instance of {@link ReleaseResponse }
     * 
     */
    public ReleaseResponse createReleaseResponse() {
        return new ReleaseResponse();
    }

    /**
     * Create an instance of {@link DisplayTextResponse }
     * 
     */
    public DisplayTextResponse createDisplayTextResponse() {
        return new DisplayTextResponse();
    }

    /**
     * Create an instance of {@link GetCapReadBack }
     * 
     */
    public GetCapReadBack createGetCapReadBack() {
        return new GetCapReadBack();
    }

    /**
     * Create an instance of {@link GetCurrentWindowResponse }
     * 
     */
    public GetCurrentWindowResponse createGetCurrentWindowResponse() {
        return new GetCurrentWindowResponse();
    }

    /**
     * Create an instance of {@link GetCapCustomGlyphResponse }
     * 
     */
    public GetCapCustomGlyphResponse createGetCapCustomGlyphResponse() {
        return new GetCapCustomGlyphResponse();
    }

    /**
     * Create an instance of {@link RetrieveStatistics }
     * 
     */
    public RetrieveStatistics createRetrieveStatistics() {
        return new RetrieveStatistics();
    }

    /**
     * Create an instance of {@link StatisticList }
     * 
     */
    public StatisticList createStatisticList() {
        return new StatisticList();
    }

    /**
     * Create an instance of {@link GenerateConsumerIDResponse }
     * 
     */
    public GenerateConsumerIDResponse createGenerateConsumerIDResponse() {
        return new GenerateConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetMarqueeType }
     * 
     */
    public GetMarqueeType createGetMarqueeType() {
        return new GetMarqueeType();
    }

    /**
     * Create an instance of {@link GetCurrentWindow }
     * 
     */
    public GetCurrentWindow createGetCurrentWindow() {
        return new GetCurrentWindow();
    }

    /**
     * Create an instance of {@link GetMarqueeTypeResponse }
     * 
     */
    public GetMarqueeTypeResponse createGetMarqueeTypeResponse() {
        return new GetMarqueeTypeResponse();
    }

    /**
     * Create an instance of {@link GetBlinkRateResponse }
     * 
     */
    public GetBlinkRateResponse createGetBlinkRateResponse() {
        return new GetBlinkRateResponse();
    }

    /**
     * Create an instance of {@link DestroyWindow }
     * 
     */
    public DestroyWindow createDestroyWindow() {
        return new DestroyWindow();
    }

    /**
     * Create an instance of {@link SetBinaryConversionResponse }
     * 
     */
    public SetBinaryConversionResponse createSetBinaryConversionResponse() {
        return new SetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersionResponse }
     * 
     */
    public GetWSPOSVersionResponse createGetWSPOSVersionResponse() {
        return new GetWSPOSVersionResponse();
    }

    /**
     * Create an instance of {@link UposVersion }
     * 
     */
    public UposVersion createUposVersion() {
        return new UposVersion();
    }

    /**
     * Create an instance of {@link SetEventResponse }
     * 
     */
    public SetEventResponse createSetEventResponse() {
        return new SetEventResponse();
    }

    /**
     * Create an instance of {@link LineDisplayEventResponse }
     * 
     */
    public LineDisplayEventResponse createLineDisplayEventResponse() {
        return new LineDisplayEventResponse();
    }

    /**
     * Create an instance of {@link SetDescriptor }
     * 
     */
    public SetDescriptor createSetDescriptor() {
        return new SetDescriptor();
    }

    /**
     * Create an instance of {@link ResetStatistics }
     * 
     */
    public ResetStatistics createResetStatistics() {
        return new ResetStatistics();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatistics }
     * 
     */
    public GetCapUpdateStatistics createGetCapUpdateStatistics() {
        return new GetCapUpdateStatistics();
    }

    /**
     * Create an instance of {@link PollForUPOSEvent }
     * 
     */
    public PollForUPOSEvent createPollForUPOSEvent() {
        return new PollForUPOSEvent();
    }

    /**
     * Create an instance of {@link GetCapCustomGlyph }
     * 
     */
    public GetCapCustomGlyph createGetCapCustomGlyph() {
        return new GetCapCustomGlyph();
    }

    /**
     * Create an instance of {@link GetCharacterSetResponse }
     * 
     */
    public GetCharacterSetResponse createGetCharacterSetResponse() {
        return new GetCharacterSetResponse();
    }

    /**
     * Create an instance of {@link SetCurrentWindow }
     * 
     */
    public SetCurrentWindow createSetCurrentWindow() {
        return new SetCurrentWindow();
    }

    /**
     * Create an instance of {@link GetGlyphHeight }
     * 
     */
    public GetGlyphHeight createGetGlyphHeight() {
        return new GetGlyphHeight();
    }

    /**
     * Create an instance of {@link SetCursorRowResponse }
     * 
     */
    public SetCursorRowResponse createSetCursorRowResponse() {
        return new SetCursorRowResponse();
    }

    /**
     * Create an instance of {@link CheckHealthResponse }
     * 
     */
    public CheckHealthResponse createCheckHealthResponse() {
        return new CheckHealthResponse();
    }

    /**
     * Create an instance of {@link SetBinaryConversion }
     * 
     */
    public SetBinaryConversion createSetBinaryConversion() {
        return new SetBinaryConversion();
    }

    /**
     * Create an instance of {@link GetFreezeEvents }
     * 
     */
    public GetFreezeEvents createGetFreezeEvents() {
        return new GetFreezeEvents();
    }

    /**
     * Create an instance of {@link OpenDevice }
     * 
     */
    public OpenDevice createOpenDevice() {
        return new OpenDevice();
    }

    /**
     * Create an instance of {@link GetCapBitmap }
     * 
     */
    public GetCapBitmap createGetCapBitmap() {
        return new GetCapBitmap();
    }

    /**
     * Create an instance of {@link CharacterSetList }
     * 
     */
    public CharacterSetList createCharacterSetList() {
        return new CharacterSetList();
    }

    /**
     * Create an instance of {@link Statistic }
     * 
     */
    public Statistic createStatistic() {
        return new Statistic();
    }

    /**
     * Create an instance of {@link GetCursorUpdateResponse }
     * 
     */
    public GetCursorUpdateResponse createGetCursorUpdateResponse() {
        return new GetCursorUpdateResponse();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReporting }
     * 
     */
    public GetCapStatisticsReporting createGetCapStatisticsReporting() {
        return new GetCapStatisticsReporting();
    }

    /**
     * Create an instance of {@link DisplayBitmap }
     * 
     */
    public DisplayBitmap createDisplayBitmap() {
        return new DisplayBitmap();
    }

    /**
     * Create an instance of {@link DisplayScreenMode }
     * 
     */
    public DisplayScreenMode createDisplayScreenMode() {
        return new DisplayScreenMode();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescription }
     * 
     */
    public GetPhysicalDeviceDescription createGetPhysicalDeviceDescription() {
        return new GetPhysicalDeviceDescription();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceNameResponse }
     * 
     */
    public GetPhysicalDeviceNameResponse createGetPhysicalDeviceNameResponse() {
        return new GetPhysicalDeviceNameResponse();
    }

    /**
     * Create an instance of {@link SetBitmapResponse }
     * 
     */
    public SetBitmapResponse createSetBitmapResponse() {
        return new SetBitmapResponse();
    }

    /**
     * Create an instance of {@link GetDeviceEnabledResponse }
     * 
     */
    public GetDeviceEnabledResponse createGetDeviceEnabledResponse() {
        return new GetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetCursorColumn }
     * 
     */
    public GetCursorColumn createGetCursorColumn() {
        return new GetCursorColumn();
    }

    /**
     * Create an instance of {@link SetFreezeEventsResponse }
     * 
     */
    public SetFreezeEventsResponse createSetFreezeEventsResponse() {
        return new SetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link PollForUPOSEventResponse }
     * 
     */
    public PollForUPOSEventResponse createPollForUPOSEventResponse() {
        return new PollForUPOSEventResponse();
    }

    /**
     * Create an instance of {@link LineDisplayEvent }
     * 
     */
    public LineDisplayEvent createLineDisplayEvent() {
        return new LineDisplayEvent();
    }

    /**
     * Create an instance of {@link GetCapReverseResponse }
     * 
     */
    public GetCapReverseResponse createGetCapReverseResponse() {
        return new GetCapReverseResponse();
    }

    /**
     * Create an instance of {@link ScrollTextResponse }
     * 
     */
    public ScrollTextResponse createScrollTextResponse() {
        return new ScrollTextResponse();
    }

    /**
     * Create an instance of {@link DirectIO }
     * 
     */
    public DirectIO createDirectIO() {
        return new DirectIO();
    }

    /**
     * Create an instance of {@link GetCapMapCharacterSet }
     * 
     */
    public GetCapMapCharacterSet createGetCapMapCharacterSet() {
        return new GetCapMapCharacterSet();
    }

    /**
     * Create an instance of {@link CloseSession }
     * 
     */
    public CloseSession createCloseSession() {
        return new CloseSession();
    }

    /**
     * Create an instance of {@link DestroyWindowResponse }
     * 
     */
    public DestroyWindowResponse createDestroyWindowResponse() {
        return new DestroyWindowResponse();
    }

    /**
     * Create an instance of {@link ReadCharacterAtCursor }
     * 
     */
    public ReadCharacterAtCursor createReadCharacterAtCursor() {
        return new ReadCharacterAtCursor();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmware }
     * 
     */
    public GetCapUpdateFirmware createGetCapUpdateFirmware() {
        return new GetCapUpdateFirmware();
    }

    /**
     * Create an instance of {@link GetCheckHealthTextResponse }
     * 
     */
    public GetCheckHealthTextResponse createGetCheckHealthTextResponse() {
        return new GetCheckHealthTextResponse();
    }

    /**
     * Create an instance of {@link RefreshWindow }
     * 
     */
    public RefreshWindow createRefreshWindow() {
        return new RefreshWindow();
    }

    /**
     * Create an instance of {@link CloseDeviceResponse }
     * 
     */
    public CloseDeviceResponse createCloseDeviceResponse() {
        return new CloseDeviceResponse();
    }

    /**
     * Create an instance of {@link GetCustomGlyphList }
     * 
     */
    public GetCustomGlyphList createGetCustomGlyphList() {
        return new GetCustomGlyphList();
    }

    /**
     * Create an instance of {@link UpdateStatisticsResponse }
     * 
     */
    public UpdateStatisticsResponse createUpdateStatisticsResponse() {
        return new UpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link GetCapCharacterSetResponse }
     * 
     */
    public GetCapCharacterSetResponse createGetCapCharacterSetResponse() {
        return new GetCapCharacterSetResponse();
    }

    /**
     * Create an instance of {@link GetDeviceColumnsResponse }
     * 
     */
    public GetDeviceColumnsResponse createGetDeviceColumnsResponse() {
        return new GetDeviceColumnsResponse();
    }

    /**
     * Create an instance of {@link GetCursorTypeResponse }
     * 
     */
    public GetCursorTypeResponse createGetCursorTypeResponse() {
        return new GetCursorTypeResponse();
    }

    /**
     * Create an instance of {@link SetMarqueeUnitWaitResponse }
     * 
     */
    public SetMarqueeUnitWaitResponse createSetMarqueeUnitWaitResponse() {
        return new SetMarqueeUnitWaitResponse();
    }

    /**
     * Create an instance of {@link GetCapVMarquee }
     * 
     */
    public GetCapVMarquee createGetCapVMarquee() {
        return new GetCapVMarquee();
    }

    /**
     * Create an instance of {@link GetRows }
     * 
     */
    public GetRows createGetRows() {
        return new GetRows();
    }

    /**
     * Create an instance of {@link GetPowerStateResponse }
     * 
     */
    public GetPowerStateResponse createGetPowerStateResponse() {
        return new GetPowerStateResponse();
    }

    /**
     * Create an instance of {@link GetCapDescriptors }
     * 
     */
    public GetCapDescriptors createGetCapDescriptors() {
        return new GetCapDescriptors();
    }

    /**
     * Create an instance of {@link GetCapDescriptorsResponse }
     * 
     */
    public GetCapDescriptorsResponse createGetCapDescriptorsResponse() {
        return new GetCapDescriptorsResponse();
    }

    /**
     * Create an instance of {@link DisplayScreenModeList }
     * 
     */
    public DisplayScreenModeList createDisplayScreenModeList() {
        return new DisplayScreenModeList();
    }

    /**
     * Create an instance of {@link GetCursorType }
     * 
     */
    public GetCursorType createGetCursorType() {
        return new GetCursorType();
    }

    /**
     * Create an instance of {@link GetDeviceWindowsResponse }
     * 
     */
    public GetDeviceWindowsResponse createGetDeviceWindowsResponse() {
        return new GetDeviceWindowsResponse();
    }

    /**
     * Create an instance of {@link DirectIOEvent }
     * 
     */
    public DirectIOEvent createDirectIOEvent() {
        return new DirectIOEvent();
    }

    /**
     * Create an instance of {@link GetClaimedResponse }
     * 
     */
    public GetClaimedResponse createGetClaimedResponse() {
        return new GetClaimedResponse();
    }

    /**
     * Create an instance of {@link GetCursorRow }
     * 
     */
    public GetCursorRow createGetCursorRow() {
        return new GetCursorRow();
    }

    /**
     * Create an instance of {@link GetStateResponse }
     * 
     */
    public GetStateResponse createGetStateResponse() {
        return new GetStateResponse();
    }

    /**
     * Create an instance of {@link ReadCharacterAtCursorResponse }
     * 
     */
    public ReadCharacterAtCursorResponse createReadCharacterAtCursorResponse() {
        return new ReadCharacterAtCursorResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeoutResponse }
     * 
     */
    public GetProviderSessionTimeoutResponse createGetProviderSessionTimeoutResponse() {
        return new GetProviderSessionTimeoutResponse();
    }

    /**
     * Create an instance of {@link GetCapReadBackResponse }
     * 
     */
    public GetCapReadBackResponse createGetCapReadBackResponse() {
        return new GetCapReadBackResponse();
    }

    /**
     * Create an instance of {@link GetCapPowerReportingResponse }
     * 
     */
    public GetCapPowerReportingResponse createGetCapPowerReportingResponse() {
        return new GetCapPowerReportingResponse();
    }

    /**
     * Create an instance of {@link OpenDeviceResponse }
     * 
     */
    public OpenDeviceResponse createOpenDeviceResponse() {
        return new OpenDeviceResponse();
    }

    /**
     * Create an instance of {@link GetCapMapCharacterSetResponse }
     * 
     */
    public GetCapMapCharacterSetResponse createGetCapMapCharacterSetResponse() {
        return new GetCapMapCharacterSetResponse();
    }

    /**
     * Create an instance of {@link SetCursorType }
     * 
     */
    public SetCursorType createSetCursorType() {
        return new SetCursorType();
    }

    /**
     * Create an instance of {@link GetDeviceDescriptorsResponse }
     * 
     */
    public GetDeviceDescriptorsResponse createGetDeviceDescriptorsResponse() {
        return new GetDeviceDescriptorsResponse();
    }

    /**
     * Create an instance of {@link GetCheckHealthText }
     * 
     */
    public GetCheckHealthText createGetCheckHealthText() {
        return new GetCheckHealthText();
    }

    /**
     * Create an instance of {@link GetClaimed }
     * 
     */
    public GetClaimed createGetClaimed() {
        return new GetClaimed();
    }

    /**
     * Create an instance of {@link GenerateConsumerID }
     * 
     */
    public GenerateConsumerID createGenerateConsumerID() {
        return new GenerateConsumerID();
    }

    /**
     * Create an instance of {@link GetMarqueeUnitWaitResponse }
     * 
     */
    public GetMarqueeUnitWaitResponse createGetMarqueeUnitWaitResponse() {
        return new GetMarqueeUnitWaitResponse();
    }

    /**
     * Create an instance of {@link GetScreenModeResponse }
     * 
     */
    public GetScreenModeResponse createGetScreenModeResponse() {
        return new GetScreenModeResponse();
    }

    /**
     * Create an instance of {@link ClaimResponse }
     * 
     */
    public ClaimResponse createClaimResponse() {
        return new ClaimResponse();
    }

    /**
     * Create an instance of {@link UpdateFirmware }
     * 
     */
    public UpdateFirmware createUpdateFirmware() {
        return new UpdateFirmware();
    }

    /**
     * Create an instance of {@link SetBlinkRate }
     * 
     */
    public SetBlinkRate createSetBlinkRate() {
        return new SetBlinkRate();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersionResponse }
     * 
     */
    public GetCapCompareFirmwareVersionResponse createGetCapCompareFirmwareVersionResponse() {
        return new GetCapCompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapVMarqueeResponse }
     * 
     */
    public GetCapVMarqueeResponse createGetCapVMarqueeResponse() {
        return new GetCapVMarqueeResponse();
    }

    /**
     * Create an instance of {@link SetMapCharacterSet }
     * 
     */
    public SetMapCharacterSet createSetMapCharacterSet() {
        return new SetMapCharacterSet();
    }

    /**
     * Create an instance of {@link GetScreenModeListResponse }
     * 
     */
    public GetScreenModeListResponse createGetScreenModeListResponse() {
        return new GetScreenModeListResponse();
    }

    /**
     * Create an instance of {@link SetBitmap }
     * 
     */
    public SetBitmap createSetBitmap() {
        return new SetBitmap();
    }

    /**
     * Create an instance of {@link GetCapICharWait }
     * 
     */
    public GetCapICharWait createGetCapICharWait() {
        return new GetCapICharWait();
    }

    /**
     * Create an instance of {@link SetCursorColumn }
     * 
     */
    public SetCursorColumn createSetCursorColumn() {
        return new SetCursorColumn();
    }

    /**
     * Create an instance of {@link GetMaximumXResponse }
     * 
     */
    public GetMaximumXResponse createGetMaximumXResponse() {
        return new GetMaximumXResponse();
    }

    /**
     * Create an instance of {@link GetDeviceBrightness }
     * 
     */
    public GetDeviceBrightness createGetDeviceBrightness() {
        return new GetDeviceBrightness();
    }

    /**
     * Create an instance of {@link SetMapCharacterSetResponse }
     * 
     */
    public SetMapCharacterSetResponse createSetMapCharacterSetResponse() {
        return new SetMapCharacterSetResponse();
    }

    /**
     * Create an instance of {@link GetInterCharacterWait }
     * 
     */
    public GetInterCharacterWait createGetInterCharacterWait() {
        return new GetInterCharacterWait();
    }

    /**
     * Create an instance of {@link GetColumnsResponse }
     * 
     */
    public GetColumnsResponse createGetColumnsResponse() {
        return new GetColumnsResponse();
    }

    /**
     * Create an instance of {@link GetScreenMode }
     * 
     */
    public GetScreenMode createGetScreenMode() {
        return new GetScreenMode();
    }

    /**
     * Create an instance of {@link GetDeviceEnabled }
     * 
     */
    public GetDeviceEnabled createGetDeviceEnabled() {
        return new GetDeviceEnabled();
    }

    /**
     * Create an instance of {@link GetColumns }
     * 
     */
    public GetColumns createGetColumns() {
        return new GetColumns();
    }

    /**
     * Create an instance of {@link CheckHealth }
     * 
     */
    public CheckHealth createCheckHealth() {
        return new CheckHealth();
    }

    /**
     * Create an instance of {@link GetFreezeEventsResponse }
     * 
     */
    public GetFreezeEventsResponse createGetFreezeEventsResponse() {
        return new GetFreezeEventsResponse();
    }

    /**
     * Create an instance of {@link GetCapBlinkResponse }
     * 
     */
    public GetCapBlinkResponse createGetCapBlinkResponse() {
        return new GetCapBlinkResponse();
    }

    /**
     * Create an instance of {@link CloseDevice }
     * 
     */
    public CloseDevice createCloseDevice() {
        return new CloseDevice();
    }

    /**
     * Create an instance of {@link GetCapHMarqueeResponse }
     * 
     */
    public GetCapHMarqueeResponse createGetCapHMarqueeResponse() {
        return new GetCapHMarqueeResponse();
    }

    /**
     * Create an instance of {@link CustomGlyphList }
     * 
     */
    public CustomGlyphList createCustomGlyphList() {
        return new CustomGlyphList();
    }

    /**
     * Create an instance of {@link GetMarqueeUnitWait }
     * 
     */
    public GetMarqueeUnitWait createGetMarqueeUnitWait() {
        return new GetMarqueeUnitWait();
    }

    /**
     * Create an instance of {@link SetMarqueeType }
     * 
     */
    public SetMarqueeType createSetMarqueeType() {
        return new SetMarqueeType();
    }

    /**
     * Create an instance of {@link SetMarqueeRepeatWaitResponse }
     * 
     */
    public SetMarqueeRepeatWaitResponse createSetMarqueeRepeatWaitResponse() {
        return new SetMarqueeRepeatWaitResponse();
    }

    /**
     * Create an instance of {@link GetScreenModeList }
     * 
     */
    public GetScreenModeList createGetScreenModeList() {
        return new GetScreenModeList();
    }

    /**
     * Create an instance of {@link GetDeviceBrightnessResponse }
     * 
     */
    public GetDeviceBrightnessResponse createGetDeviceBrightnessResponse() {
        return new GetDeviceBrightnessResponse();
    }

    /**
     * Create an instance of {@link SetFreezeEvents }
     * 
     */
    public SetFreezeEvents createSetFreezeEvents() {
        return new SetFreezeEvents();
    }

    /**
     * Create an instance of {@link SetPowerNotify }
     * 
     */
    public SetPowerNotify createSetPowerNotify() {
        return new SetPowerNotify();
    }

    /**
     * Create an instance of {@link SetBlinkRateResponse }
     * 
     */
    public SetBlinkRateResponse createSetBlinkRateResponse() {
        return new SetBlinkRateResponse();
    }

    /**
     * Create an instance of {@link GetCapICharWaitResponse }
     * 
     */
    public GetCapICharWaitResponse createGetCapICharWaitResponse() {
        return new GetCapICharWaitResponse();
    }

    /**
     * Create an instance of {@link DirectIOData }
     * 
     */
    public DirectIOData createDirectIOData() {
        return new DirectIOData();
    }

    /**
     * Create an instance of {@link GetPowerState }
     * 
     */
    public GetPowerState createGetPowerState() {
        return new GetPowerState();
    }

    /**
     * Create an instance of {@link SetMarqueeTypeResponse }
     * 
     */
    public SetMarqueeTypeResponse createSetMarqueeTypeResponse() {
        return new SetMarqueeTypeResponse();
    }

    /**
     * Create an instance of {@link GetCustomGlyphListResponse }
     * 
     */
    public GetCustomGlyphListResponse createGetCustomGlyphListResponse() {
        return new GetCustomGlyphListResponse();
    }

    /**
     * Create an instance of {@link SetCursorColumnResponse }
     * 
     */
    public SetCursorColumnResponse createSetCursorColumnResponse() {
        return new SetCursorColumnResponse();
    }

    /**
     * Create an instance of {@link SetCursorUpdate }
     * 
     */
    public SetCursorUpdate createSetCursorUpdate() {
        return new SetCursorUpdate();
    }

    /**
     * Create an instance of {@link ResetStatisticsResponse }
     * 
     */
    public ResetStatisticsResponse createResetStatisticsResponse() {
        return new ResetStatisticsResponse();
    }

    /**
     * Create an instance of {@link OpenSessionResponse }
     * 
     */
    public OpenSessionResponse createOpenSessionResponse() {
        return new OpenSessionResponse();
    }

    /**
     * Create an instance of {@link DisplayTextAt }
     * 
     */
    public DisplayTextAt createDisplayTextAt() {
        return new DisplayTextAt();
    }

    /**
     * Create an instance of {@link ClearTextResponse }
     * 
     */
    public ClearTextResponse createClearTextResponse() {
        return new ClearTextResponse();
    }

    /**
     * Create an instance of {@link GetProviderSessionTimeout }
     * 
     */
    public GetProviderSessionTimeout createGetProviderSessionTimeout() {
        return new GetProviderSessionTimeout();
    }

    /**
     * Create an instance of {@link SetScreenMode }
     * 
     */
    public SetScreenMode createSetScreenMode() {
        return new SetScreenMode();
    }

    /**
     * Create an instance of {@link OpenSession }
     * 
     */
    public OpenSession createOpenSession() {
        return new OpenSession();
    }

    /**
     * Create an instance of {@link GetGlyphWidthResponse }
     * 
     */
    public GetGlyphWidthResponse createGetGlyphWidthResponse() {
        return new GetGlyphWidthResponse();
    }

    /**
     * Create an instance of {@link GetGlyphWidth }
     * 
     */
    public GetGlyphWidth createGetGlyphWidth() {
        return new GetGlyphWidth();
    }

    /**
     * Create an instance of {@link SetDescriptorResponse }
     * 
     */
    public SetDescriptorResponse createSetDescriptorResponse() {
        return new SetDescriptorResponse();
    }

    /**
     * Create an instance of {@link GetCapBlinkRateResponse }
     * 
     */
    public GetCapBlinkRateResponse createGetCapBlinkRateResponse() {
        return new GetCapBlinkRateResponse();
    }

    /**
     * Create an instance of {@link SetInterCharacterWait }
     * 
     */
    public SetInterCharacterWait createSetInterCharacterWait() {
        return new SetInterCharacterWait();
    }

    /**
     * Create an instance of {@link GetCharacterSetList }
     * 
     */
    public GetCharacterSetList createGetCharacterSetList() {
        return new GetCharacterSetList();
    }

    /**
     * Create an instance of {@link GetDeviceDescriptors }
     * 
     */
    public GetDeviceDescriptors createGetDeviceDescriptors() {
        return new GetDeviceDescriptors();
    }

    /**
     * Create an instance of {@link RetrieveStatisticsResponse }
     * 
     */
    public RetrieveStatisticsResponse createRetrieveStatisticsResponse() {
        return new RetrieveStatisticsResponse();
    }

    /**
     * Create an instance of {@link ClearText }
     * 
     */
    public ClearText createClearText() {
        return new ClearText();
    }

    /**
     * Create an instance of {@link GetDeviceRows }
     * 
     */
    public GetDeviceRows createGetDeviceRows() {
        return new GetDeviceRows();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersion }
     * 
     */
    public GetDeviceControlVersion createGetDeviceControlVersion() {
        return new GetDeviceControlVersion();
    }

    /**
     * Create an instance of {@link SetEventResponseResponse }
     * 
     */
    public SetEventResponseResponse createSetEventResponseResponse() {
        return new SetEventResponseResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescription }
     * 
     */
    public GetDeviceServiceDescription createGetDeviceServiceDescription() {
        return new GetDeviceServiceDescription();
    }

    /**
     * Create an instance of {@link CreateWindowResponse }
     * 
     */
    public CreateWindowResponse createCreateWindowResponse() {
        return new CreateWindowResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerIDResponse }
     * 
     */
    public GetEncryptedClaimedConsumerIDResponse createGetEncryptedClaimedConsumerIDResponse() {
        return new GetEncryptedClaimedConsumerIDResponse();
    }

    /**
     * Create an instance of {@link GetBlinkRate }
     * 
     */
    public GetBlinkRate createGetBlinkRate() {
        return new GetBlinkRate();
    }

    /**
     * Create an instance of {@link GetDeviceWindows }
     * 
     */
    public GetDeviceWindows createGetDeviceWindows() {
        return new GetDeviceWindows();
    }

    /**
     * Create an instance of {@link GetCapBitmapResponse }
     * 
     */
    public GetCapBitmapResponse createGetCapBitmapResponse() {
        return new GetCapBitmapResponse();
    }

    /**
     * Create an instance of {@link GetBinaryConversionResponse }
     * 
     */
    public GetBinaryConversionResponse createGetBinaryConversionResponse() {
        return new GetBinaryConversionResponse();
    }

    /**
     * Create an instance of {@link GetCapUpdateFirmwareResponse }
     * 
     */
    public GetCapUpdateFirmwareResponse createGetCapUpdateFirmwareResponse() {
        return new GetCapUpdateFirmwareResponse();
    }

    /**
     * Create an instance of {@link SetCursorTypeResponse }
     * 
     */
    public SetCursorTypeResponse createSetCursorTypeResponse() {
        return new SetCursorTypeResponse();
    }

    /**
     * Create an instance of {@link GetMapCharacterSetResponse }
     * 
     */
    public GetMapCharacterSetResponse createGetMapCharacterSetResponse() {
        return new GetMapCharacterSetResponse();
    }

    /**
     * Create an instance of {@link GetWSPOSVersion }
     * 
     */
    public GetWSPOSVersion createGetWSPOSVersion() {
        return new GetWSPOSVersion();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceName }
     * 
     */
    public GetPhysicalDeviceName createGetPhysicalDeviceName() {
        return new GetPhysicalDeviceName();
    }

    /**
     * Create an instance of {@link GetMapCharacterSet }
     * 
     */
    public GetMapCharacterSet createGetMapCharacterSet() {
        return new GetMapCharacterSet();
    }

    /**
     * Create an instance of {@link GetBinaryConversion }
     * 
     */
    public GetBinaryConversion createGetBinaryConversion() {
        return new GetBinaryConversion();
    }

    /**
     * Create an instance of {@link UpdateStatistics }
     * 
     */
    public UpdateStatistics createUpdateStatistics() {
        return new UpdateStatistics();
    }

    /**
     * Create an instance of {@link GetCapCharacterSet }
     * 
     */
    public GetCapCharacterSet createGetCapCharacterSet() {
        return new GetCapCharacterSet();
    }

    /**
     * Create an instance of {@link DisplayText }
     * 
     */
    public DisplayText createDisplayText() {
        return new DisplayText();
    }

    /**
     * Create an instance of {@link GetCapPowerReporting }
     * 
     */
    public GetCapPowerReporting createGetCapPowerReporting() {
        return new GetCapPowerReporting();
    }

    /**
     * Create an instance of {@link DirectIOResponse }
     * 
     */
    public DirectIOResponse createDirectIOResponse() {
        return new DirectIOResponse();
    }

    /**
     * Create an instance of {@link DisplayTextAtResponse }
     * 
     */
    public DisplayTextAtResponse createDisplayTextAtResponse() {
        return new DisplayTextAtResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceDescriptionResponse }
     * 
     */
    public GetDeviceServiceDescriptionResponse createGetDeviceServiceDescriptionResponse() {
        return new GetDeviceServiceDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetEncryptedClaimedConsumerID }
     * 
     */
    public GetEncryptedClaimedConsumerID createGetEncryptedClaimedConsumerID() {
        return new GetEncryptedClaimedConsumerID();
    }

    /**
     * Create an instance of {@link GetCursorRowResponse }
     * 
     */
    public GetCursorRowResponse createGetCursorRowResponse() {
        return new GetCursorRowResponse();
    }

    /**
     * Create an instance of {@link ScrollText }
     * 
     */
    public ScrollText createScrollText() {
        return new ScrollText();
    }

    /**
     * Create an instance of {@link GetCapCursorTypeResponse }
     * 
     */
    public GetCapCursorTypeResponse createGetCapCursorTypeResponse() {
        return new GetCapCursorTypeResponse();
    }

    /**
     * Create an instance of {@link SetCursorRow }
     * 
     */
    public SetCursorRow createSetCursorRow() {
        return new SetCursorRow();
    }

    /**
     * Create an instance of {@link DirectIOEventResponse }
     * 
     */
    public DirectIOEventResponse createDirectIOEventResponse() {
        return new DirectIOEventResponse();
    }

    /**
     * Create an instance of {@link GetCapBlink }
     * 
     */
    public GetCapBlink createGetCapBlink() {
        return new GetCapBlink();
    }

    /**
     * Create an instance of {@link ClearDescriptorsResponse }
     * 
     */
    public ClearDescriptorsResponse createClearDescriptorsResponse() {
        return new ClearDescriptorsResponse();
    }

    /**
     * Create an instance of {@link DefineGlyphResponse }
     * 
     */
    public DefineGlyphResponse createDefineGlyphResponse() {
        return new DefineGlyphResponse();
    }

    /**
     * Create an instance of {@link GetCapBrightness }
     * 
     */
    public GetCapBrightness createGetCapBrightness() {
        return new GetCapBrightness();
    }

    /**
     * Create an instance of {@link RefreshWindowResponse }
     * 
     */
    public RefreshWindowResponse createRefreshWindowResponse() {
        return new RefreshWindowResponse();
    }

    /**
     * Create an instance of {@link GetMarqueeRepeatWait }
     * 
     */
    public GetMarqueeRepeatWait createGetMarqueeRepeatWait() {
        return new GetMarqueeRepeatWait();
    }

    /**
     * Create an instance of {@link GetGlyphHeightResponse }
     * 
     */
    public GetGlyphHeightResponse createGetGlyphHeightResponse() {
        return new GetGlyphHeightResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEvent }
     * 
     */
    public StatusUpdateEvent createStatusUpdateEvent() {
        return new StatusUpdateEvent();
    }

    /**
     * Create an instance of {@link SetMarqueeFormat }
     * 
     */
    public SetMarqueeFormat createSetMarqueeFormat() {
        return new SetMarqueeFormat();
    }

    /**
     * Create an instance of {@link GetCapUpdateStatisticsResponse }
     * 
     */
    public GetCapUpdateStatisticsResponse createGetCapUpdateStatisticsResponse() {
        return new GetCapUpdateStatisticsResponse();
    }

    /**
     * Create an instance of {@link StatusUpdateEventResponse }
     * 
     */
    public StatusUpdateEventResponse createStatusUpdateEventResponse() {
        return new StatusUpdateEventResponse();
    }

    /**
     * Create an instance of {@link GetCapHMarquee }
     * 
     */
    public GetCapHMarquee createGetCapHMarquee() {
        return new GetCapHMarquee();
    }

    /**
     * Create an instance of {@link CreateWindow }
     * 
     */
    public CreateWindow createCreateWindow() {
        return new CreateWindow();
    }

    /**
     * Create an instance of {@link GetPowerNotifyResponse }
     * 
     */
    public GetPowerNotifyResponse createGetPowerNotifyResponse() {
        return new GetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersionResponse }
     * 
     */
    public CompareFirmwareVersionResponse createCompareFirmwareVersionResponse() {
        return new CompareFirmwareVersionResponse();
    }

    /**
     * Create an instance of {@link SetMarqueeFormatResponse }
     * 
     */
    public SetMarqueeFormatResponse createSetMarqueeFormatResponse() {
        return new SetMarqueeFormatResponse();
    }

    /**
     * Create an instance of {@link SetMarqueeUnitWait }
     * 
     */
    public SetMarqueeUnitWait createSetMarqueeUnitWait() {
        return new SetMarqueeUnitWait();
    }

    /**
     * Create an instance of {@link GetPhysicalDeviceDescriptionResponse }
     * 
     */
    public GetPhysicalDeviceDescriptionResponse createGetPhysicalDeviceDescriptionResponse() {
        return new GetPhysicalDeviceDescriptionResponse();
    }

    /**
     * Create an instance of {@link SetCurrentWindowResponse }
     * 
     */
    public SetCurrentWindowResponse createSetCurrentWindowResponse() {
        return new SetCurrentWindowResponse();
    }

    /**
     * Create an instance of {@link DefineGlyph }
     * 
     */
    public DefineGlyph createDefineGlyph() {
        return new DefineGlyph();
    }

    /**
     * Create an instance of {@link GetCapStatisticsReportingResponse }
     * 
     */
    public GetCapStatisticsReportingResponse createGetCapStatisticsReportingResponse() {
        return new GetCapStatisticsReportingResponse();
    }

    /**
     * Create an instance of {@link GetCursorUpdate }
     * 
     */
    public GetCursorUpdate createGetCursorUpdate() {
        return new GetCursorUpdate();
    }

    /**
     * Create an instance of {@link GetRowsResponse }
     * 
     */
    public GetRowsResponse createGetRowsResponse() {
        return new GetRowsResponse();
    }

    /**
     * Create an instance of {@link GetMaximumX }
     * 
     */
    public GetMaximumX createGetMaximumX() {
        return new GetMaximumX();
    }

    /**
     * Create an instance of {@link GetMaximumY }
     * 
     */
    public GetMaximumY createGetMaximumY() {
        return new GetMaximumY();
    }

    /**
     * Create an instance of {@link GetCharacterSet }
     * 
     */
    public GetCharacterSet createGetCharacterSet() {
        return new GetCharacterSet();
    }

    /**
     * Create an instance of {@link GetCharacterSetListResponse }
     * 
     */
    public GetCharacterSetListResponse createGetCharacterSetListResponse() {
        return new GetCharacterSetListResponse();
    }

    /**
     * Create an instance of {@link KeepAlive }
     * 
     */
    public KeepAlive createKeepAlive() {
        return new KeepAlive();
    }

    /**
     * Create an instance of {@link SetDeviceEnabled }
     * 
     */
    public SetDeviceEnabled createSetDeviceEnabled() {
        return new SetDeviceEnabled();
    }

    /**
     * Create an instance of {@link SetMarqueeRepeatWait }
     * 
     */
    public SetMarqueeRepeatWait createSetMarqueeRepeatWait() {
        return new SetMarqueeRepeatWait();
    }

    /**
     * Create an instance of {@link GetMaximumYResponse }
     * 
     */
    public GetMaximumYResponse createGetMaximumYResponse() {
        return new GetMaximumYResponse();
    }

    /**
     * Create an instance of {@link CloseSessionResponse }
     * 
     */
    public CloseSessionResponse createCloseSessionResponse() {
        return new CloseSessionResponse();
    }

    /**
     * Create an instance of {@link GetCapCursorType }
     * 
     */
    public GetCapCursorType createGetCapCursorType() {
        return new GetCapCursorType();
    }

    /**
     * Create an instance of {@link RangeOfCharacters }
     * 
     */
    public RangeOfCharacters createRangeOfCharacters() {
        return new RangeOfCharacters();
    }

    /**
     * Create an instance of {@link SetScreenModeResponse }
     * 
     */
    public SetScreenModeResponse createSetScreenModeResponse() {
        return new SetScreenModeResponse();
    }

    /**
     * Create an instance of {@link GetCapBrightnessResponse }
     * 
     */
    public GetCapBrightnessResponse createGetCapBrightnessResponse() {
        return new GetCapBrightnessResponse();
    }

    /**
     * Create an instance of {@link SetInterCharacterWaitResponse }
     * 
     */
    public SetInterCharacterWaitResponse createSetInterCharacterWaitResponse() {
        return new SetInterCharacterWaitResponse();
    }

    /**
     * Create an instance of {@link SetDeviceBrightness }
     * 
     */
    public SetDeviceBrightness createSetDeviceBrightness() {
        return new SetDeviceBrightness();
    }

    /**
     * Create an instance of {@link CompareFirmwareVersion }
     * 
     */
    public CompareFirmwareVersion createCompareFirmwareVersion() {
        return new CompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetCapScreenModeResponse }
     * 
     */
    public GetCapScreenModeResponse createGetCapScreenModeResponse() {
        return new GetCapScreenModeResponse();
    }

    /**
     * Create an instance of {@link SetDeviceBrightnessResponse }
     * 
     */
    public SetDeviceBrightnessResponse createSetDeviceBrightnessResponse() {
        return new SetDeviceBrightnessResponse();
    }

    /**
     * Create an instance of {@link GetMarqueeFormatResponse }
     * 
     */
    public GetMarqueeFormatResponse createGetMarqueeFormatResponse() {
        return new GetMarqueeFormatResponse();
    }

    /**
     * Create an instance of {@link KeepAliveResponse }
     * 
     */
    public KeepAliveResponse createKeepAliveResponse() {
        return new KeepAliveResponse();
    }

    /**
     * Create an instance of {@link SetDeviceEnabledResponse }
     * 
     */
    public SetDeviceEnabledResponse createSetDeviceEnabledResponse() {
        return new SetDeviceEnabledResponse();
    }

    /**
     * Create an instance of {@link GetCapBlinkRate }
     * 
     */
    public GetCapBlinkRate createGetCapBlinkRate() {
        return new GetCapBlinkRate();
    }

    /**
     * Create an instance of {@link GetMarqueeRepeatWaitResponse }
     * 
     */
    public GetMarqueeRepeatWaitResponse createGetMarqueeRepeatWaitResponse() {
        return new GetMarqueeRepeatWaitResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlVersionResponse }
     * 
     */
    public GetDeviceControlVersionResponse createGetDeviceControlVersionResponse() {
        return new GetDeviceControlVersionResponse();
    }

    /**
     * Create an instance of {@link GetCursorColumnResponse }
     * 
     */
    public GetCursorColumnResponse createGetCursorColumnResponse() {
        return new GetCursorColumnResponse();
    }

    /**
     * Create an instance of {@link Release }
     * 
     */
    public Release createRelease() {
        return new Release();
    }

    /**
     * Create an instance of {@link ClearDescriptors }
     * 
     */
    public ClearDescriptors createClearDescriptors() {
        return new ClearDescriptors();
    }

    /**
     * Create an instance of {@link SetPowerNotifyResponse }
     * 
     */
    public SetPowerNotifyResponse createSetPowerNotifyResponse() {
        return new SetPowerNotifyResponse();
    }

    /**
     * Create an instance of {@link DisplayBitmapResponse }
     * 
     */
    public DisplayBitmapResponse createDisplayBitmapResponse() {
        return new DisplayBitmapResponse();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescription }
     * 
     */
    public GetDeviceControlDescription createGetDeviceControlDescription() {
        return new GetDeviceControlDescription();
    }

    /**
     * Create an instance of {@link GetDeviceControlDescriptionResponse }
     * 
     */
    public GetDeviceControlDescriptionResponse createGetDeviceControlDescriptionResponse() {
        return new GetDeviceControlDescriptionResponse();
    }

    /**
     * Create an instance of {@link GetDeviceRowsResponse }
     * 
     */
    public GetDeviceRowsResponse createGetDeviceRowsResponse() {
        return new GetDeviceRowsResponse();
    }

    /**
     * Create an instance of {@link SetCursorUpdateResponse }
     * 
     */
    public SetCursorUpdateResponse createSetCursorUpdateResponse() {
        return new SetCursorUpdateResponse();
    }

    /**
     * Create an instance of {@link GetDeviceServiceVersionResponse }
     * 
     */
    public GetDeviceServiceVersionResponse createGetDeviceServiceVersionResponse() {
        return new GetDeviceServiceVersionResponse();
    }

    /**
     * Create an instance of {@link GetCapCompareFirmwareVersion }
     * 
     */
    public GetCapCompareFirmwareVersion createGetCapCompareFirmwareVersion() {
        return new GetCapCompareFirmwareVersion();
    }

    /**
     * Create an instance of {@link GetState }
     * 
     */
    public GetState createGetState() {
        return new GetState();
    }

    /**
     * Create an instance of {@link GetCapReverse }
     * 
     */
    public GetCapReverse createGetCapReverse() {
        return new GetCapReverse();
    }

    /**
     * Create an instance of {@link Claim }
     * 
     */
    public Claim createClaim() {
        return new Claim();
    }

    /**
     * Create an instance of {@link SetCharacterSetResponse }
     * 
     */
    public SetCharacterSetResponse createSetCharacterSetResponse() {
        return new SetCharacterSetResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DirectIOEventResponse")
    public JAXBElement<DirectIOEventResponse> createDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayReadBack }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayReadBack")
    public JAXBElement<DisplayReadBack> createDisplayReadBack(DisplayReadBack value) {
        return new JAXBElement<DisplayReadBack>(_DisplayReadBack_QNAME, DisplayReadBack.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayReverse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayReverse")
    public JAXBElement<DisplayReverse> createDisplayReverse(DisplayReverse value) {
        return new JAXBElement<DisplayReverse>(_DisplayReverse_QNAME, DisplayReverse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerNotification }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "PowerNotification")
    public JAXBElement<PowerNotification> createPowerNotification(PowerNotification value) {
        return new JAXBElement<PowerNotification>(_PowerNotification_QNAME, PowerNotification.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CustomGlyphList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "CustomGlyphList")
    public JAXBElement<CustomGlyphList> createCustomGlyphList(CustomGlyphList value) {
        return new JAXBElement<CustomGlyphList>(_CustomGlyphList_QNAME, CustomGlyphList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LineDisplayEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "LineDisplayEvent")
    public JAXBElement<LineDisplayEvent> createLineDisplayEvent(LineDisplayEvent value) {
        return new JAXBElement<LineDisplayEvent>(_LineDisplayEvent_QNAME, LineDisplayEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplaySetDescriptor }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplaySetDescriptor")
    public JAXBElement<DisplaySetDescriptor> createDisplaySetDescriptor(DisplaySetDescriptor value) {
        return new JAXBElement<DisplaySetDescriptor>(_DisplaySetDescriptor_QNAME, DisplaySetDescriptor.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerReporting }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "PowerReporting")
    public JAXBElement<PowerReporting> createPowerReporting(PowerReporting value) {
        return new JAXBElement<PowerReporting>(_PowerReporting_QNAME, PowerReporting.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Statistic }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Statistic")
    public JAXBElement<Statistic> createStatistic(Statistic value) {
        return new JAXBElement<Statistic>(_Statistic_QNAME, Statistic.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "StatusUpdateEvent")
    public JAXBElement<StatusUpdateEvent> createStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "StatisticList")
    public JAXBElement<StatisticList> createStatisticList(StatisticList value) {
        return new JAXBElement<StatisticList>(_StatisticList_QNAME, StatisticList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HealthCheckLevel }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "HealthCheckLevel")
    public JAXBElement<HealthCheckLevel> createHealthCheckLevel(HealthCheckLevel value) {
        return new JAXBElement<HealthCheckLevel>(_HealthCheckLevel_QNAME, HealthCheckLevel.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "UposException")
    public JAXBElement<UposException> createUposException(UposException value) {
        return new JAXBElement<UposException>(_UposException_QNAME, UposException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CharacterSetList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "CharacterSetList")
    public JAXBElement<CharacterSetList> createCharacterSetList(CharacterSetList value) {
        return new JAXBElement<CharacterSetList>(_CharacterSetList_QNAME, CharacterSetList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayScrollText }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayScrollText")
    public JAXBElement<DisplayScrollText> createDisplayScrollText(DisplayScrollText value) {
        return new JAXBElement<DisplayScrollText>(_DisplayScrollText_QNAME, DisplayScrollText.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PowerState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "PowerState")
    public JAXBElement<PowerState> createPowerState(PowerState value) {
        return new JAXBElement<PowerState>(_PowerState_QNAME, PowerState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DirectIOData")
    public JAXBElement<DirectIOData> createDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "StatusUpdateEventResponse")
    public JAXBElement<StatusUpdateEventResponse> createStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayMarqueeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayMarqueeType")
    public JAXBElement<DisplayMarqueeType> createDisplayMarqueeType(DisplayMarqueeType value) {
        return new JAXBElement<DisplayMarqueeType>(_DisplayMarqueeType_QNAME, DisplayMarqueeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DirectIOEvent")
    public JAXBElement<DirectIOEvent> createDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayScreenMode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayScreenMode")
    public JAXBElement<DisplayScreenMode> createDisplayScreenMode(DisplayScreenMode value) {
        return new JAXBElement<DisplayScreenMode>(_DisplayScreenMode_QNAME, DisplayScreenMode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CharacterSetCapability }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "CharacterSetCapability")
    public JAXBElement<CharacterSetCapability> createCharacterSetCapability(CharacterSetCapability value) {
        return new JAXBElement<CharacterSetCapability>(_CharacterSetCapability_QNAME, CharacterSetCapability.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayScreenModeList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayScreenModeList")
    public JAXBElement<DisplayScreenModeList> createDisplayScreenModeList(DisplayScreenModeList value) {
        return new JAXBElement<DisplayScreenModeList>(_DisplayScreenModeList_QNAME, DisplayScreenModeList.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayMarqueeFormat }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayMarqueeFormat")
    public JAXBElement<DisplayMarqueeFormat> createDisplayMarqueeFormat(DisplayMarqueeFormat value) {
        return new JAXBElement<DisplayMarqueeFormat>(_DisplayMarqueeFormat_QNAME, DisplayMarqueeFormat.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayBlink }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayBlink")
    public JAXBElement<DisplayBlink> createDisplayBlink(DisplayBlink value) {
        return new JAXBElement<DisplayBlink>(_DisplayBlink_QNAME, DisplayBlink.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CompareFirmwareResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "CompareFirmwareResult")
    public JAXBElement<CompareFirmwareResult> createCompareFirmwareResult(CompareFirmwareResult value) {
        return new JAXBElement<CompareFirmwareResult>(_CompareFirmwareResult_QNAME, CompareFirmwareResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "UposVersion")
    public JAXBElement<UposVersion> createUposVersion(UposVersion value) {
        return new JAXBElement<UposVersion>(_UposVersion_QNAME, UposVersion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LineDisplayEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "LineDisplayEventResponse")
    public JAXBElement<LineDisplayEventResponse> createLineDisplayEventResponse(LineDisplayEventResponse value) {
        return new JAXBElement<LineDisplayEventResponse>(_LineDisplayEventResponse_QNAME, LineDisplayEventResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ControlState }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ControlState")
    public JAXBElement<ControlState> createControlState(ControlState value) {
        return new JAXBElement<ControlState>(_ControlState_QNAME, ControlState.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayTextMode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DisplayTextMode")
    public JAXBElement<DisplayTextMode> createDisplayTextMode(DisplayTextMode value) {
        return new JAXBElement<DisplayTextMode>(_DisplayTextMode_QNAME, DisplayTextMode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RangeOfCharacters }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "RangeOfCharacters")
    public JAXBElement<RangeOfCharacters> createRangeOfCharacters(RangeOfCharacters value) {
        return new JAXBElement<RangeOfCharacters>(_RangeOfCharacters_QNAME, RangeOfCharacters.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ErrorCode")
    public JAXBElement<ErrorCode> createErrorCode(ErrorCode value) {
        return new JAXBElement<ErrorCode>(_ErrorCode_QNAME, ErrorCode.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetCursorRow.class)
    public JAXBElement<String> createSetCursorRowConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetCursorRow.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetDeviceServiceDescriptionResult", scope = GetDeviceServiceDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceServiceDescriptionResponseGetDeviceServiceDescriptionResult_QNAME, String.class, GetDeviceServiceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetBlinkRate.class)
    public JAXBElement<String> createGetBlinkRateConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetBlinkRate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetCursorUpdate.class)
    public JAXBElement<String> createSetCursorUpdateConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetCursorUpdate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetGlyphWidth.class)
    public JAXBElement<String> createGetGlyphWidthConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetGlyphWidth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCheckHealthText.class)
    public JAXBElement<String> createGetCheckHealthTextConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCheckHealthText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetMarqueeFormat.class)
    public JAXBElement<String> createSetMarqueeFormatConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetMarqueeFormat.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = PollForUPOSEvent.class)
    public JAXBElement<String> createPollForUPOSEventConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, PollForUPOSEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCursorColumn.class)
    public JAXBElement<String> createGetCursorColumnConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCursorColumn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetScreenMode.class)
    public JAXBElement<String> createSetScreenModeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetScreenMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetProviderSessionTimeout.class)
    public JAXBElement<String> createGetProviderSessionTimeoutConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetProviderSessionTimeout.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapPowerReporting.class)
    public JAXBElement<String> createGetCapPowerReportingConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapPowerReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = Claim.class)
    public JAXBElement<String> createClaimConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, Claim.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetColumns.class)
    public JAXBElement<String> createGetColumnsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetColumns.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetMapCharacterSet.class)
    public JAXBElement<String> createSetMapCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetMapCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetPhysicalDeviceNameResult", scope = GetPhysicalDeviceNameResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceNameResponseGetPhysicalDeviceNameResult_QNAME, String.class, GetPhysicalDeviceNameResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetMarqueeUnitWait.class)
    public JAXBElement<String> createGetMarqueeUnitWaitConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetMarqueeUnitWait.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Name", scope = Statistic.class)
    public JAXBElement<String> createStatisticName(String value) {
        return new JAXBElement<String>(_StatisticName_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Value", scope = Statistic.class)
    public JAXBElement<String> createStatisticValue(String value) {
        return new JAXBElement<String>(_StatisticValue_QNAME, String.class, Statistic.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GenerateConsumerIDResult", scope = GenerateConsumerIDResponse.class)
    public JAXBElement<String> createGenerateConsumerIDResponseGenerateConsumerIDResult(String value) {
        return new JAXBElement<String>(_GenerateConsumerIDResponseGenerateConsumerIDResult_QNAME, String.class, GenerateConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DirectIOData", scope = DirectIOEventResponse.class)
    public JAXBElement<DirectIOData> createDirectIOEventResponseDirectIOData(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOData_QNAME, DirectIOData.class, DirectIOEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetGlyphHeight.class)
    public JAXBElement<String> createGetGlyphHeightConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetGlyphHeight.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetPhysicalDeviceDescription.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetPhysicalDeviceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceColumns.class)
    public JAXBElement<String> createGetDeviceColumnsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceColumns.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = CloseSession.class)
    public JAXBElement<String> createCloseSessionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, CloseSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "StatusUpdateEvent", scope = LineDisplayEvent.class)
    public JAXBElement<StatusUpdateEvent> createLineDisplayEventStatusUpdateEvent(StatusUpdateEvent value) {
        return new JAXBElement<StatusUpdateEvent>(_StatusUpdateEvent_QNAME, StatusUpdateEvent.class, LineDisplayEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DirectIOEvent", scope = LineDisplayEvent.class)
    public JAXBElement<DirectIOEvent> createLineDisplayEventDirectIOEvent(DirectIOEvent value) {
        return new JAXBElement<DirectIOEvent>(_DirectIOEvent_QNAME, DirectIOEvent.class, LineDisplayEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceControlVersion.class)
    public JAXBElement<String> createGetDeviceControlVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceControlVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetDeviceBrightness.class)
    public JAXBElement<String> createSetDeviceBrightnessConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetDeviceBrightness.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetFreezeEvents.class)
    public JAXBElement<String> createSetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CharacterSetList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetCharacterSetListResult", scope = GetCharacterSetListResponse.class)
    public JAXBElement<CharacterSetList> createGetCharacterSetListResponseGetCharacterSetListResult(CharacterSetList value) {
        return new JAXBElement<CharacterSetList>(_GetCharacterSetListResponseGetCharacterSetListResult_QNAME, CharacterSetList.class, GetCharacterSetListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DirectIOEventResponse", scope = LineDisplayEventResponse.class)
    public JAXBElement<DirectIOEventResponse> createLineDisplayEventResponseDirectIOEventResponse(DirectIOEventResponse value) {
        return new JAXBElement<DirectIOEventResponse>(_DirectIOEventResponse_QNAME, DirectIOEventResponse.class, LineDisplayEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatusUpdateEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "StatusUpdateEventResponse", scope = LineDisplayEventResponse.class)
    public JAXBElement<StatusUpdateEventResponse> createLineDisplayEventResponseStatusUpdateEventResponse(StatusUpdateEventResponse value) {
        return new JAXBElement<StatusUpdateEventResponse>(_StatusUpdateEventResponse_QNAME, StatusUpdateEventResponse.class, LineDisplayEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetDeviceEnabled.class)
    public JAXBElement<String> createSetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCharacterSet.class)
    public JAXBElement<String> createGetCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = DestroyWindow.class)
    public JAXBElement<String> createDestroyWindowConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, DestroyWindow.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = RefreshWindow.class)
    public JAXBElement<String> createRefreshWindowConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, RefreshWindow.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCursorType.class)
    public JAXBElement<String> createGetCursorTypeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCursorType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetPowerNotify.class)
    public JAXBElement<String> createSetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "StatisticsBuffer", scope = UpdateStatistics.class)
    public JAXBElement<StatisticList> createUpdateStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = UpdateStatistics.class)
    public JAXBElement<String> createUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, UpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetBlinkRate.class)
    public JAXBElement<String> createSetBlinkRateConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetBlinkRate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetMarqueeType.class)
    public JAXBElement<String> createSetMarqueeTypeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetMarqueeType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapUpdateFirmware.class)
    public JAXBElement<String> createGetCapUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapUpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = ClearDescriptors.class)
    public JAXBElement<String> createClearDescriptorsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, ClearDescriptors.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapCompareFirmwareVersion.class)
    public JAXBElement<String> createGetCapCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapCompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapReverse.class)
    public JAXBElement<String> createGetCapReverseConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapReverse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "FileName", scope = SetBitmap.class)
    public JAXBElement<String> createSetBitmapFileName(String value) {
        return new JAXBElement<String>(_SetBitmapFileName_QNAME, String.class, SetBitmap.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetBitmap.class)
    public JAXBElement<String> createSetBitmapConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetBitmap.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetMarqueeRepeatWait.class)
    public JAXBElement<String> createSetMarqueeRepeatWaitConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetMarqueeRepeatWait.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetInterCharacterWait.class)
    public JAXBElement<String> createSetInterCharacterWaitConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetInterCharacterWait.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DirectIOData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "DirectIOResult", scope = DirectIOResponse.class)
    public JAXBElement<DirectIOData> createDirectIOResponseDirectIOResult(DirectIOData value) {
        return new JAXBElement<DirectIOData>(_DirectIOResponseDirectIOResult_QNAME, DirectIOData.class, DirectIOResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetCharacterSet.class)
    public JAXBElement<String> createSetCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "StatisticsBuffer", scope = ResetStatistics.class)
    public JAXBElement<StatisticList> createResetStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = ResetStatistics.class)
    public JAXBElement<String> createResetStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, ResetStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceServiceVersion.class)
    public JAXBElement<String> createGetDeviceServiceVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceServiceVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = Release.class)
    public JAXBElement<String> createReleaseConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, Release.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapBrightness.class)
    public JAXBElement<String> createGetCapBrightnessConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapBrightness.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetState.class)
    public JAXBElement<String> createGetStateConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapCustomGlyph.class)
    public JAXBElement<String> createGetCapCustomGlyphConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapCustomGlyph.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceWindows.class)
    public JAXBElement<String> createGetDeviceWindowsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceWindows.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CustomGlyphList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetCustomGlyphListResult", scope = GetCustomGlyphListResponse.class)
    public JAXBElement<CustomGlyphList> createGetCustomGlyphListResponseGetCustomGlyphListResult(CustomGlyphList value) {
        return new JAXBElement<CustomGlyphList>(_GetCustomGlyphListResponseGetCustomGlyphListResult_QNAME, CustomGlyphList.class, GetCustomGlyphListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = OpenDevice.class)
    public JAXBElement<String> createOpenDeviceConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, OpenDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapBlink.class)
    public JAXBElement<String> createGetCapBlinkConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapBlink.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Obj", scope = DirectIOEvent.class)
    public JAXBElement<Object> createDirectIOEventObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Source", scope = DirectIOEvent.class)
    public JAXBElement<String> createDirectIOEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, DirectIOEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Obj", scope = DirectIO.class)
    public JAXBElement<Object> createDirectIOObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = DirectIO.class)
    public JAXBElement<String> createDirectIOConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, DirectIO.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetMaximumX.class)
    public JAXBElement<String> createGetMaximumXConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetMaximumX.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = CheckHealth.class)
    public JAXBElement<String> createCheckHealthConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, CheckHealth.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceControlDescription.class)
    public JAXBElement<String> createGetDeviceControlDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceControlDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapBitmap.class)
    public JAXBElement<String> createGetCapBitmapConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapBitmap.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetEncryptedClaimedConsumerIDResult", scope = GetEncryptedClaimedConsumerIDResponse.class)
    public JAXBElement<String> createGetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult(String value) {
        return new JAXBElement<String>(_GetEncryptedClaimedConsumerIDResponseGetEncryptedClaimedConsumerIDResult_QNAME, String.class, GetEncryptedClaimedConsumerIDResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapCharacterSet.class)
    public JAXBElement<String> createGetCapCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "consumerID", scope = SetBinaryConversion.class)
    public JAXBElement<String> createSetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, SetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = ReadCharacterAtCursor.class)
    public JAXBElement<String> createReadCharacterAtCursorConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, ReadCharacterAtCursor.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetDescriptor.class)
    public JAXBElement<String> createSetDescriptorConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetDescriptor.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = KeepAlive.class)
    public JAXBElement<String> createKeepAliveConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, KeepAlive.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceServiceDescription.class)
    public JAXBElement<String> createGetDeviceServiceDescriptionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceServiceDescription.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = CreateWindow.class)
    public JAXBElement<String> createCreateWindowConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, CreateWindow.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LineDisplayEventResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "EventResponse", scope = SetEventResponse.class)
    public JAXBElement<LineDisplayEventResponse> createSetEventResponseEventResponse(LineDisplayEventResponse value) {
        return new JAXBElement<LineDisplayEventResponse>(_SetEventResponseEventResponse_QNAME, LineDisplayEventResponse.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetEventResponse.class)
    public JAXBElement<String> createSetEventResponseConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = DisplayText.class)
    public JAXBElement<String> createDisplayTextConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, DisplayText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Data", scope = DisplayText.class)
    public JAXBElement<String> createDisplayTextData(String value) {
        return new JAXBElement<String>(_DisplayTextData_QNAME, String.class, DisplayText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetRows.class)
    public JAXBElement<String> createGetRowsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetRows.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "RetrieveStatisticsResult", scope = RetrieveStatisticsResponse.class)
    public JAXBElement<String> createRetrieveStatisticsResponseRetrieveStatisticsResult(String value) {
        return new JAXBElement<String>(_RetrieveStatisticsResponseRetrieveStatisticsResult_QNAME, String.class, RetrieveStatisticsResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetDeviceControlDescriptionResult", scope = GetDeviceControlDescriptionResponse.class)
    public JAXBElement<String> createGetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult(String value) {
        return new JAXBElement<String>(_GetDeviceControlDescriptionResponseGetDeviceControlDescriptionResult_QNAME, String.class, GetDeviceControlDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetMarqueeFormat.class)
    public JAXBElement<String> createGetMarqueeFormatConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetMarqueeFormat.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Obj", scope = DirectIOData.class)
    public JAXBElement<Object> createDirectIODataObj(Object value) {
        return new JAXBElement<Object>(_DirectIOEventObj_QNAME, Object.class, DirectIOData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetCurrentWindow.class)
    public JAXBElement<String> createSetCurrentWindowConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetCurrentWindow.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapICharWait.class)
    public JAXBElement<String> createGetCapICharWaitConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapICharWait.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "FileName", scope = DisplayBitmap.class)
    public JAXBElement<String> createDisplayBitmapFileName(String value) {
        return new JAXBElement<String>(_SetBitmapFileName_QNAME, String.class, DisplayBitmap.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = DisplayBitmap.class)
    public JAXBElement<String> createDisplayBitmapConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, DisplayBitmap.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetInterCharacterWait.class)
    public JAXBElement<String> createGetInterCharacterWaitConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetInterCharacterWait.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatisticList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "StatisticsBuffer", scope = RetrieveStatistics.class)
    public JAXBElement<StatisticList> createRetrieveStatisticsStatisticsBuffer(StatisticList value) {
        return new JAXBElement<StatisticList>(_UpdateStatisticsStatisticsBuffer_QNAME, StatisticList.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = RetrieveStatistics.class)
    public JAXBElement<String> createRetrieveStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, RetrieveStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetPowerState.class)
    public JAXBElement<String> createGetPowerStateConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetPowerState.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetScreenModeList.class)
    public JAXBElement<String> createGetScreenModeListConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetScreenModeList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCursorUpdate.class)
    public JAXBElement<String> createGetCursorUpdateConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCursorUpdate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetPowerNotify.class)
    public JAXBElement<String> createGetPowerNotifyConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetPowerNotify.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetMarqueeType.class)
    public JAXBElement<String> createGetMarqueeTypeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetMarqueeType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceDescriptors.class)
    public JAXBElement<String> createGetDeviceDescriptorsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceDescriptors.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetClaimed.class)
    public JAXBElement<String> createGetClaimedConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetClaimed.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetDeviceControlVersionResult", scope = GetDeviceControlVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceControlVersionResponseGetDeviceControlVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceControlVersionResponseGetDeviceControlVersionResult_QNAME, UposVersion.class, GetDeviceControlVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetCursorType.class)
    public JAXBElement<String> createSetCursorTypeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetCursorType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetPhysicalDeviceDescriptionResult", scope = GetPhysicalDeviceDescriptionResponse.class)
    public JAXBElement<String> createGetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult(String value) {
        return new JAXBElement<String>(_GetPhysicalDeviceDescriptionResponseGetPhysicalDeviceDescriptionResult_QNAME, String.class, GetPhysicalDeviceDescriptionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapCursorType.class)
    public JAXBElement<String> createGetCapCursorTypeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapCursorType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapStatisticsReporting.class)
    public JAXBElement<String> createGetCapStatisticsReportingConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapStatisticsReporting.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Source", scope = StatusUpdateEvent.class)
    public JAXBElement<String> createStatusUpdateEventSource(String value) {
        return new JAXBElement<String>(_DirectIOEventSource_QNAME, String.class, StatusUpdateEvent.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetFreezeEvents.class)
    public JAXBElement<String> createGetFreezeEventsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetFreezeEvents.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "FirmwareFileName", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = UpdateFirmware.class)
    public JAXBElement<String> createUpdateFirmwareConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, UpdateFirmware.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapMapCharacterSet.class)
    public JAXBElement<String> createGetCapMapCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapMapCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetCursorColumn.class)
    public JAXBElement<String> createSetCursorColumnConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetCursorColumn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LineDisplayEvent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "PollForUPOSEventResult", scope = PollForUPOSEventResponse.class)
    public JAXBElement<LineDisplayEvent> createPollForUPOSEventResponsePollForUPOSEventResult(LineDisplayEvent value) {
        return new JAXBElement<LineDisplayEvent>(_PollForUPOSEventResponsePollForUPOSEventResult_QNAME, LineDisplayEvent.class, PollForUPOSEventResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCharacterSetList.class)
    public JAXBElement<String> createGetCharacterSetListConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCharacterSetList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetCheckHealthTextResult", scope = GetCheckHealthTextResponse.class)
    public JAXBElement<String> createGetCheckHealthTextResponseGetCheckHealthTextResult(String value) {
        return new JAXBElement<String>(_GetCheckHealthTextResponseGetCheckHealthTextResult_QNAME, String.class, GetCheckHealthTextResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = DisplayTextAt.class)
    public JAXBElement<String> createDisplayTextAtConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, DisplayTextAt.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Data", scope = DisplayTextAt.class)
    public JAXBElement<String> createDisplayTextAtData(String value) {
        return new JAXBElement<String>(_DisplayTextData_QNAME, String.class, DisplayTextAt.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapVMarquee.class)
    public JAXBElement<String> createGetCapVMarqueeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapVMarquee.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapScreenMode.class)
    public JAXBElement<String> createGetCapScreenModeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapScreenMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceBrightness.class)
    public JAXBElement<String> createGetDeviceBrightnessConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceBrightness.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapUpdateStatistics.class)
    public JAXBElement<String> createGetCapUpdateStatisticsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapUpdateStatistics.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "FirmwareFileName", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionFirmwareFileName(String value) {
        return new JAXBElement<String>(_UpdateFirmwareFirmwareFileName_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = CompareFirmwareVersion.class)
    public JAXBElement<String> createCompareFirmwareVersionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, CompareFirmwareVersion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetMaximumY.class)
    public JAXBElement<String> createGetMaximumYConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetMaximumY.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCursorRow.class)
    public JAXBElement<String> createGetCursorRowConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCursorRow.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapReadBack.class)
    public JAXBElement<String> createGetCapReadBackConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapReadBack.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetDeviceServiceVersionResult", scope = GetDeviceServiceVersionResponse.class)
    public JAXBElement<UposVersion> createGetDeviceServiceVersionResponseGetDeviceServiceVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetDeviceServiceVersionResponseGetDeviceServiceVersionResult_QNAME, UposVersion.class, GetDeviceServiceVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = CloseDevice.class)
    public JAXBElement<String> createCloseDeviceConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, CloseDevice.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = ScrollText.class)
    public JAXBElement<String> createScrollTextConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, ScrollText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCustomGlyphList.class)
    public JAXBElement<String> createGetCustomGlyphListConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCustomGlyphList.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapDescriptors.class)
    public JAXBElement<String> createGetCapDescriptorsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapDescriptors.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapBlinkRate.class)
    public JAXBElement<String> createGetCapBlinkRateConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapBlinkRate.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetScreenMode.class)
    public JAXBElement<String> createGetScreenModeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetScreenMode.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCapHMarquee.class)
    public JAXBElement<String> createGetCapHMarqueeConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCapHMarquee.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceRows.class)
    public JAXBElement<String> createGetDeviceRowsConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceRows.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "consumerID", scope = GetBinaryConversion.class)
    public JAXBElement<String> createGetBinaryConversionConsumerID(String value) {
        return new JAXBElement<String>(_SetBinaryConversionConsumerID_QNAME, String.class, GetBinaryConversion.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UposVersion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetWSPOSVersionResult", scope = GetWSPOSVersionResponse.class)
    public JAXBElement<UposVersion> createGetWSPOSVersionResponseGetWSPOSVersionResult(UposVersion value) {
        return new JAXBElement<UposVersion>(_GetWSPOSVersionResponseGetWSPOSVersionResult_QNAME, UposVersion.class, GetWSPOSVersionResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "Glyph", scope = DefineGlyph.class)
    public JAXBElement<byte[]> createDefineGlyphGlyph(byte[] value) {
        return new JAXBElement<byte[]>(_DefineGlyphGlyph_QNAME, byte[].class, DefineGlyph.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = DefineGlyph.class)
    public JAXBElement<String> createDefineGlyphConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, DefineGlyph.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = SetMarqueeUnitWait.class)
    public JAXBElement<String> createSetMarqueeUnitWaitConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, SetMarqueeUnitWait.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetDeviceEnabled.class)
    public JAXBElement<String> createGetDeviceEnabledConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetDeviceEnabled.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayScreenModeList }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "GetScreenModeListResult", scope = GetScreenModeListResponse.class)
    public JAXBElement<DisplayScreenModeList> createGetScreenModeListResponseGetScreenModeListResult(DisplayScreenModeList value) {
        return new JAXBElement<DisplayScreenModeList>(_GetScreenModeListResponseGetScreenModeListResult_QNAME, DisplayScreenModeList.class, GetScreenModeListResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetMapCharacterSet.class)
    public JAXBElement<String> createGetMapCharacterSetConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetMapCharacterSet.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetCurrentWindow.class)
    public JAXBElement<String> createGetCurrentWindowConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetCurrentWindow.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetPhysicalDeviceName.class)
    public JAXBElement<String> createGetPhysicalDeviceNameConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetPhysicalDeviceName.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = ClearText.class)
    public JAXBElement<String> createClearTextConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, ClearText.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "EndpointAddress", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionEndpointAddress(String value) {
        return new JAXBElement<String>(_OpenSessionEndpointAddress_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = OpenSession.class)
    public JAXBElement<String> createOpenSessionConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, OpenSession.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nrf-arts.org/UnifiedPOS/LineDisplay/", name = "ConsumerID", scope = GetMarqueeRepeatWait.class)
    public JAXBElement<String> createGetMarqueeRepeatWaitConsumerID(String value) {
        return new JAXBElement<String>(_SetCursorRowConsumerID_QNAME, String.class, GetMarqueeRepeatWait.class, value);
    }

}
