
package org.nrf_arts.unifiedpos.pointcardrw;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>PointCardAreasJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="PointCardAreas">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PrintArea"/>
 *     &lt;enumeration value="MagneticTracks"/>
 *     &lt;enumeration value="Both"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PointCardAreas")
@XmlEnum
public enum PointCardAreas {

    @XmlEnumValue("PrintArea")
    PRINT_AREA("PrintArea"),
    @XmlEnumValue("MagneticTracks")
    MAGNETIC_TRACKS("MagneticTracks"),
    @XmlEnumValue("Both")
    BOTH("Both");
    private final String value;

    PointCardAreas(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PointCardAreas fromValue(String v) {
        for (PointCardAreas c: PointCardAreas.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
