
package org.nrf_arts.unifiedpos.pospower;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>PowerSourceJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="PowerSource">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PWR_SOURCE_NA"/>
 *     &lt;enumeration value="PWR_SOURCE_AC"/>
 *     &lt;enumeration value="PWR_SOURCE_BATTERY"/>
 *     &lt;enumeration value="PWR_SOURCE_BACKUP"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PowerSource")
@XmlEnum
public enum PowerSource {

    PWR_SOURCE_NA,
    PWR_SOURCE_AC,
    PWR_SOURCE_BATTERY,
    PWR_SOURCE_BACKUP;

    public String value() {
        return name();
    }

    public static PowerSource fromValue(String v) {
        return valueOf(v);
    }

}
