
package org.nrf_arts.unifiedpos.posprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>PrinterSideJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="PrinterSide">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PTR_PS_UNKNOWN"/>
 *     &lt;enumeration value="PTR_PS_SIDE1"/>
 *     &lt;enumeration value="PTR_PS_SIDE2"/>
 *     &lt;enumeration value="PTR_PS_OPPOSITE"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PrinterSide")
@XmlEnum
public enum PrinterSide {

    PTR_PS_UNKNOWN("PTR_PS_UNKNOWN"),
    @XmlEnumValue("PTR_PS_SIDE1")
    PTR_PS_SIDE_1("PTR_PS_SIDE1"),
    @XmlEnumValue("PTR_PS_SIDE2")
    PTR_PS_SIDE_2("PTR_PS_SIDE2"),
    PTR_PS_OPPOSITE("PTR_PS_OPPOSITE");
    private final String value;

    PrinterSide(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PrinterSide fromValue(String v) {
        for (PrinterSide c: PrinterSide.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
