
package org.nrf_arts.unifiedpos.posprinter;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>RotationJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="Rotation">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PTR_RP_RIGHT90"/>
 *     &lt;enumeration value="PTR_RP_LEFT90"/>
 *     &lt;enumeration value="PTR_RP_ROTATE180"/>
 *     &lt;enumeration value="PTR_RP_BARCODE"/>
 *     &lt;enumeration value="PTR_RP_BITMAP"/>
 *     &lt;enumeration value="PTR_RP_NORMAL"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "Rotation")
@XmlEnum
public enum Rotation {

    @XmlEnumValue("PTR_RP_RIGHT90")
    PTR_RP_RIGHT_90("PTR_RP_RIGHT90"),
    @XmlEnumValue("PTR_RP_LEFT90")
    PTR_RP_LEFT_90("PTR_RP_LEFT90"),
    @XmlEnumValue("PTR_RP_ROTATE180")
    PTR_RP_ROTATE_180("PTR_RP_ROTATE180"),
    PTR_RP_BARCODE("PTR_RP_BARCODE"),
    PTR_RP_BITMAP("PTR_RP_BITMAP"),
    PTR_RP_NORMAL("PTR_RP_NORMAL");
    private final String value;

    Rotation(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static Rotation fromValue(String v) {
        for (Rotation c: Rotation.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
