
package org.nrf_arts.unifiedpos.smartcardrw;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>SmartCardReadActionJavaNXB
 * 
 * <p>̃XL[}EtOǵÃNXɊ܂܂\Recw肵܂B
 * <p>
 * <pre>
 * &lt;simpleType name="SmartCardReadAction">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="SC_READ_DATA"/>
 *     &lt;enumeration value="SC_READ_PROGRAM"/>
 *     &lt;enumeration value="SC_EXECUTE_AND_READ_DATA"/>
 *     &lt;enumeration value="SC_XML_READ_BLOCK_DATA"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "SmartCardReadAction")
@XmlEnum
public enum SmartCardReadAction {

    SC_READ_DATA,
    SC_READ_PROGRAM,
    SC_EXECUTE_AND_READ_DATA,
    SC_XML_READ_BLOCK_DATA;

    public String value() {
        return name();
    }

    public static SmartCardReadAction fromValue(String v) {
        return valueOf(v);
    }

}
